package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.AmsPurchaseOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/3 9:06
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/amspurchaseorders")
public class AmsPurchaseOrderController extends BaseRESTfulController {

    @Autowired
    AmsPurchaseOrderServiceImpl amsPurchaseOrderService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    @ApiModelProperty(value = "展示采购订单列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "81", required = false, dataType = "BigDecimal")
    })
    @PostMapping("/getPurchaseOrderList")
    public RESTfulResult getPurchaseOrderList(@RequestBody(required = false) Map<String,Object> mapValue,
                                              Integer pageNum,
                                              Integer pageSize,
                                              Integer apiId,
                                              String con,
                                              String sendCompId) {
        if (con != null && !(con.equals("null") || con.equals("undefined"))) {
            mapValue.put("con", con);
        }
        if(sendCompId != null && !"null".equals(sendCompId)){
            mapValue.put("sendCompId", sendCompId);
        }
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = amsPurchaseOrderService.getPurchaseOrderList(mapValue);
            PageListAdd data = columnDataUtil.tableColumnData(apiId, null, columnList);
        return success(data);
    }

    @ApiModelProperty(value = "APP展示采购订单列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "81", required = false, dataType = "BigDecimal")
    })
    @PostMapping("/getAppPurchaseOrderList")
    public RESTfulResult getAppPurchaseOrderList(Integer carrierId) {

        List<Map<String, Object>> list = amsPurchaseOrderService.getAppPurchaseOrderList(carrierId);
        return success(list);

    }
}
