package com.steerinfo.dil.controller;

import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.framework.utils.collection.ListUtils;
import com.steerinfo.dil.model.AmsSaleOrderCarrier;
import com.steerinfo.dil.service.IAmsSaleOrderCarrierService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;

/**
 * AmsSaleOrderCarrier RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-03-04 04:50
 * 类描述
 * 修订历史：
 * 日期：2022-03-04
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrderCarrier RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/amssaleordercarriers")
public class AmsSaleOrderCarrierController extends BaseRESTfulController {

    @Autowired
    IAmsSaleOrderCarrierService amsSaleOrderCarrierService;

    @ApiOperation(value="获取列表", notes="分页查询")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
        @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer")
    })
    //@RequiresPermissions("amssaleordercarrier:view")
    @GetMapping(value = "/")
    public RESTfulResult list(@RequestParam HashMap parmas,Integer pageNum, Integer pageSize){
        PageList<AmsSaleOrderCarrier> list = amsSaleOrderCarrierService.queryForPage(parmas, pageNum, pageSize);
        return success(list);
    }

    @ApiOperation(value="获取列表", notes="分页模糊查询")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
        @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer")
    })
    //@RequiresPermissions("amssaleordercarrier:view")
    @GetMapping(value = "/like/")
    public RESTfulResult listLike(@RequestParam HashMap parmas,Integer pageNum, Integer pageSize){
        PageList<AmsSaleOrderCarrier> list = amsSaleOrderCarrierService.queryLikeForPage(parmas, pageNum, pageSize);
        return success(list);
    }
    
    @ApiOperation(value="创建", notes="根据AmsSaleOrderCarrier对象创建")
    @ApiImplicitParam(name = "amsSaleOrderCarrier", value = "详细实体amsSaleOrderCarrier", required = true, dataType = "AmsSaleOrderCarrier")
    //@RequiresPermissions("amssaleordercarrier:create")
    @PostMapping(value = "/")
    public RESTfulResult add(@ModelAttribute AmsSaleOrderCarrier model){
        AmsSaleOrderCarrier amsSaleOrderCarrier = amsSaleOrderCarrierService.add(model);
        return success(amsSaleOrderCarrier);
    }

    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    //@RequiresPermissions("amssaleordercarrier:view")
    @GetMapping(value = "/{id}")
    public RESTfulResult get(@PathVariable BigDecimal id){
        AmsSaleOrderCarrier amsSaleOrderCarrier = amsSaleOrderCarrierService.getById(id);
        return success(amsSaleOrderCarrier);
    }

    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的amsSaleOrderCarrier信息来更新详细信息")
    @ApiImplicitParams({
        @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
        @ApiImplicitParam(name = "amsSaleOrderCarrier", value = "详细实体amsSaleOrderCarrier", required = true, dataType = "AmsSaleOrderCarrier")
    })
    //@RequiresPermissions("amssaleordercarrier:update")
    @PutMapping(value = "/{id}", produces  = "application/json;charset=UTF-8")
    public RESTfulResult update(@PathVariable BigDecimal id, @RequestBody AmsSaleOrderCarrier model){
        model.setId(id);
        AmsSaleOrderCarrier amsSaleOrderCarrier = amsSaleOrderCarrierService.modify(model);
        return success(amsSaleOrderCarrier);
    }

    @ApiOperation(value="删除", notes="根据url的id来指定删除对象")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    //@RequiresPermissions("amssaleordercarrier:delete")
    @DeleteMapping(value = "/{id}")//BigDecimal
    public RESTfulResult delete(@PathVariable String id){
    	List<String> list = Arrays.asList(id.split(","));
    	if(ListUtils.isNotEmpty(list)) {
	    	List<BigDecimal> ids = ListUtils.convertList(list);
			  amsSaleOrderCarrierService.delete(ids);
    	}
      return success();
    }
}
