package com.steerinfo.dil.controller;

import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.framework.utils.collection.ListUtils;
import com.steerinfo.dil.model.AmstruckSporadicMaterial;
import com.steerinfo.dil.service.IAmstruckSporadicMaterialService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;

/**
 * AmstruckSporadicMaterial RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-01-04 08:32
 * 类描述
 * 修订历史：
 * 日期：2022-01-04
 * 作者：generator
 * 参考：
 * 描述：AmstruckSporadicMaterial RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/amstrucksporadicmaterials")
public class AmstruckSporadicMaterialController extends BaseRESTfulController {

    @Autowired
    IAmstruckSporadicMaterialService amstruckSporadicMaterialService;

    @ApiOperation(value="获取列表", notes="分页查询")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
        @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer")
    })
    //@RequiresPermissions("amstrucksporadicmaterial:view")
    @GetMapping(value = "/")
    public RESTfulResult list(@RequestParam HashMap parmas,Integer pageNum, Integer pageSize){
        PageList<AmstruckSporadicMaterial> list = amstruckSporadicMaterialService.queryForPage(parmas, pageNum, pageSize);
        return success(list);
    }

    @ApiOperation(value="获取列表", notes="分页模糊查询")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
        @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer")
    })
    //@RequiresPermissions("amstrucksporadicmaterial:view")
    @GetMapping(value = "/like/")
    public RESTfulResult listLike(@RequestParam HashMap parmas,Integer pageNum, Integer pageSize){
        PageList<AmstruckSporadicMaterial> list = amstruckSporadicMaterialService.queryLikeForPage(parmas, pageNum, pageSize);
        return success(list);
    }
    
    @ApiOperation(value="创建", notes="根据AmstruckSporadicMaterial对象创建")
    @ApiImplicitParam(name = "amstruckSporadicMaterial", value = "详细实体amstruckSporadicMaterial", required = true, dataType = "AmstruckSporadicMaterial")
    //@RequiresPermissions("amstrucksporadicmaterial:create")
    @PostMapping(value = "/")
    public RESTfulResult add(@ModelAttribute AmstruckSporadicMaterial model){
        AmstruckSporadicMaterial amstruckSporadicMaterial = amstruckSporadicMaterialService.add(model);
        return success(amstruckSporadicMaterial);
    }

    @ApiOperation(value="获取详细信息", notes="根据url的id来获取详细信息")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    //@RequiresPermissions("amstrucksporadicmaterial:view")
    @GetMapping(value = "/{id}")
    public RESTfulResult get(@PathVariable BigDecimal id){
        AmstruckSporadicMaterial amstruckSporadicMaterial = amstruckSporadicMaterialService.getById(id);
        return success(amstruckSporadicMaterial);
    }

    @ApiOperation(value="更新详细信息", notes="根据url的id来指定更新对象，并根据传过来的amstruckSporadicMaterial信息来更新详细信息")
    @ApiImplicitParams({
        @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal"),
        @ApiImplicitParam(name = "amstruckSporadicMaterial", value = "详细实体amstruckSporadicMaterial", required = true, dataType = "AmstruckSporadicMaterial")
    })
    //@RequiresPermissions("amstrucksporadicmaterial:update")
    @PutMapping(value = "/{id}", produces  = "application/json;charset=UTF-8")
    public RESTfulResult update(@PathVariable BigDecimal id, @RequestBody AmstruckSporadicMaterial model){
        model.setId(id);
        AmstruckSporadicMaterial amstruckSporadicMaterial = amstruckSporadicMaterialService.modify(model);
        return success(amstruckSporadicMaterial);
    }

    @ApiOperation(value="删除", notes="根据url的id来指定删除对象")
    @ApiImplicitParam(paramType = "path", name = "id", value = "ID", required = true, dataType = "BigDecimal")
    //@RequiresPermissions("amstrucksporadicmaterial:delete")
    @DeleteMapping(value = "/{id}")//BigDecimal
    public RESTfulResult delete(@PathVariable String id){
    	List<String> list = Arrays.asList(id.split(","));
    	if(ListUtils.isNotEmpty(list)) {
	    	List<BigDecimal> ids = ListUtils.convertList(list);
			  amstruckSporadicMaterialService.delete(ids);
    	}
      return success();
    }
}
