package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsContractBreach;
import com.steerinfo.dil.model.AmsContractTransportPrice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsContractBreachMapper extends IBaseMapper<AmsContractBreach, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有违约规则信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getBreachList(Map<String,Object> mapValue);

    /**
     * 得到修改渲染
     * @param breachId
     * @return
     */
    List<Map<String,Object>> selectBreachToUpdate(BigDecimal breachId);

    /**
     * 新增
     * @param amsContractBreach
     * @return
     */
    int insert(AmsContractBreach amsContractBreach);

    /**
     * 修改
     * @param amsContractBreach
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractBreach amsContractBreach);

    @Select("select seq_AMS_BREACH.nextval from dual")
    BigDecimal selectBreachId();
}