package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsContractOtherPrice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsContractOtherPriceMapper extends IBaseMapper<AmsContractOtherPrice, BigDecimal> {

    /**
     * 展示港口装卸费列表
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getLoadUnloadPriceList(Map<String, Object> mapValue);

    /**
     * 查询修改渲染
     * @param priceId
     * @return
     */
    List<Map<String, Object>> selectLoadUnloadPriceToUpdate(BigDecimal priceId);

    /**
     * 新增
     * @param amsContractOtherPrice
     * @return
     */
    int insertSelective(AmsContractOtherPrice amsContractOtherPrice);

    /**
     * 修改
     * @param amsContractOtherPrice
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractOtherPrice amsContractOtherPrice);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    @Select("select seq_AMS_OTHER.nextval from dual")
    BigDecimal selectOtherId();
}