package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsContractTrainPrice;
import com.steerinfo.dil.model.AmsContractTransportPrice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsContractTrainPriceMapper extends IBaseMapper<AmsContractTrainPrice, Short> {
    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有火运单价信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainPriceList(Map<String,Object> mapValue);

//    /**
//     * 得到修改渲染
//     * @param priceId
//     * @return
//     */
//    List<Map<String,Object>> selectPriceToUpdate(BigDecimal priceId);

    /**
     * 新增
     * @param amsContractTrainPrice
     * @return
     */
    int insert(AmsContractTrainPrice amsContractTrainPrice);

    /**
     * 修改
     * @param amsContractTrainPrice
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractTrainPrice amsContractTrainPrice);

    /**
     * 主键查询
     * @param priceId
     * @return
     */
    AmsContractTrainPrice selectByPrimaryKey(BigDecimal priceId);

    /**
     * 得到修改渲染的数据
     * @param priceId
     * @return
     */
    List<Map<String,Object>> selectTrainPriceToUpdate(BigDecimal priceId);

    @Select("select seq_AMS_TRAIN.nextval from dual")
    BigDecimal selectTrainId();
}