package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsContractTransportPrice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsContractTransportPriceMapper extends IBaseMapper<AmsContractTransportPrice, BigDecimal> {

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有水运单价信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getShipPriceList(Map<String,Object> mapValue);

    /**
     * 展示所有采购汽运单价信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTruckPriceList(Map<String,Object> mapValue);

    /**
     * 得到修改渲染
     * @param priceId
     * @return
     */
    List<Map<String,Object>> selectPriceToUpdate(BigDecimal priceId);

    /**
     * 新增
     * @param amsContractTransportPrice
     * @return
     */
    int insert(AmsContractTransportPrice amsContractTransportPrice);

    /**
     * 修改
     * @param amsContractTransportPrice
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractTransportPrice amsContractTransportPrice);

    /**
     * 得到托运人id
     * @return
     */
    List<Map<String,Object>> getShipperId();

    /**
     * 得到承运商id
     * @return
     */
    List<Map<String,Object>> getCarrierId();

    /**
     * 得到船运运力id
     * @return
     */
    List<Map<String,Object>> getCapacityId();

    /**
     * 得到汽运运力id
     * @return
     */
    List<Map<String,Object>> getTruckCapacityId();

    /**
     * 得到物资id
     * @return
     */
    List<Map<String,Object>> getMaterialId();

    /**
     * 得到运输线路id
     * @return
     */
    List<Map<String,Object>> getLineId();

    /**
     * 获取汽运单价信息
     * @param map
     * @return
     */
    List<Map<String, Object>> getAmsContractTransportPrice(Map<String,Object> map);
    //获取收货地址
    List<Map<String, Object>> getAddressDeliveryAddress();
    //获取要渲染的信息
    List<Map<String, Object>> selectByPriceId(BigDecimal priceId);
    //获取所有的油价
    List<Map<String, Object>> getOriginAndNowOilPrice();
    //通过油价变动率批量修改油价
    int batchUpdateTransportPriceByOilPrice(Double updateOilPrice);
    //获取运价和吨公里数值列表
    List<Map<String, Object>> getPriceValueAndPriceTonKilometer();
//    //通过主键修改吨公里数
//    int updatePriceTonKilometer(BigDecimal priceId);

    @Select("select seq_AMS_TRANSPORT.nextval from dual")
    BigDecimal selectTransportId();
    // 得到销售汽运单价
    List<Map<String, Object>> getSaleTruckPriceList(Map<String, Object> mapValue);
}