package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsPurchaseOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsPurchaseOrderMapper extends IBaseMapper<AmsPurchaseOrder, BigDecimal> {

    /**
     * 展示所有采购订单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getPurchaseOrderList(Map<String,Object> mapValue);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    @Select("select seq_AMS_PURCHASE.nextval from dual")
    BigDecimal selectPurchaseId();

    /*
    App端查询采购订单
     */
    List<Map<String, Object>> getAppPurchaseOrderList(Integer carrierId);
}