package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmsRailOffsetDayplan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsRailOffsetDayplanMapper extends IBaseMapper<AmsRailOffsetDayplan, BigDecimal> {

    @Select("select seq_AMS_OTHER.nextval from dual")
    BigDecimal selectMaxId();

    //展示钢材发往异地库日计划
    List<Map<String, Object>> getRailOffsetDayplan(Map<String, Object> mapValue);

    //通过主键查询发运钢材到异地库计划
    List<Map<String, Object>> getRailOffseDayMes(Integer dayplanId);

    //通过发运计划主键查询关联所有物资信息
    List<Map<String, Object>> getMaterialMesByDayPlanId(Map<String,Object> mapValue);

    // 到站下拉框
    List<Map<String, Object>> getdayPlanToTheStationId();


    //根据ID查询日计划
    List<Map<String, Object>> getRailOffsetDayplanId(Map<String, Object> mapValue);
}