package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsSaleMaterialMapper extends IBaseMapper<AmsSaleMaterial, BigDecimal> {
    @Select("select seq_AMS_SALE_MATERIAL.nextval from dual")
    BigDecimal selectMaxId();
    // 得到物资出现次数
    Integer getMaterialCount(BigDecimal materialId);
    // 根据路段顺序号逆序找到装货实际
    List<Map<String, Object>> findLoadIdList(BigDecimal saleOrderMaterialId);
    // 根据路段顺序号逆序找到计量实际
    List<Map<String, Object>> findWeightIdList(BigDecimal saleOrderMaterialId);
    //
    int deleteLoadResult(BigDecimal loadId);
    //
    int deleteWeightResult(BigDecimal weightId);

    int updateOrderMaterialToClose(Map<String, Object> mapValue);

    int deleteWmspOutResult(Map<String, Object> mapValue);
    // 开启所有的分录
    int openAllSaleMaterial(BigDecimal saleOrderId);
    // 反关闭分录
    int adverseCloseSaleMaterial(BigDecimal saleMaterialId);
}