package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSalePlan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsSalePlanMapper extends IBaseMapper<AmsSalePlan, BigDecimal> {
    //查询所有销售计划信息
    List<Map<String, Object>> getSalePlanInfo(Map<String,Object> map);
    //查询主键最大值
    BigDecimal selectMaxId();
    //获得物资编码
    List<Map<String, Object>> getMaterialName();
    //获得销售片区名称
    List<Map<String, Object>> getAreaName();
    //获得要渲染的数据
    List<Map<String, Object>> selectByPlanId(BigDecimal planId);
    //通过主键获取销售片区名称
    String getAreaNameByAreaId(BigDecimal areaId);
    //查询所有的钢材物资
    List<Map<String, Object>> getAllSteelMaterialMes(Map<String, Object> map);
}