package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsSaleTrucknoMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmsSaleTrucknoMaterialMapper extends IBaseMapper<AmsSaleTrucknoMaterial, BigDecimal> {
    //根据车序号中间表主键查询车序号详细信息
    List<Map<String, Object>> getTruckNoDetail(Map<String,Object> map);
    //查询主键最大值
    @Select("select seq_AMS_SALE_TRUCKNO_MATERIAL.nextval from dual")
    BigDecimal selectMaxId();
    //获取要渲染的值
    List<Map<String, Object>> selectByTrucknoMaterialId(BigDecimal trucknoMaterialId);
    //查询销售计划中该物资Id的物资件数
    BigDecimal getSalePlanMaterialNumber(Map<String,Object> map);
    //获取销售片区计划Id
    BigDecimal getSalePalnIdBySaleOrderMaterialId(BigDecimal saleOrderMaterialId);
    //查询当前该销售计划下已有的销售订单中该物资件数的总和
    BigDecimal getAllSaleOrderMaterialNumber(Map<String,Object> map);
}