package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmstruckInwardRequirement;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckInwardRequirementMapper extends IBaseMapper<AmstruckInwardRequirement, BigDecimal> {
    @Select("select seq_inward_requirement.nextval from dual")
    BigDecimal selectOtherId();
    //展示用车需求
    List<Map<String, Object>> getTruckRequirementList(Map<String, Object> mapValue);
    // 得到物资数量
    List<Map<String,Object>> getMaterialNumber(BigDecimal requirementId);

    // 得到修改渲染
    List<Map<String, Object>> selectRequirement(BigDecimal requirementId);

    // 展示批次
    List<Map<String, Object>> getPurchaseIdByBatch(Map<String, Object> mapValue);

    // 车型下拉
    List<Map<String, Object>> getCapacityType();

    // 用车单位下拉
    List<Map<String, Object>> getShipperUser();

    // 展示用车需求
    List<Map<String, Object>> getFinishTruckRequirementList(Map<String, Object> mapValue);

    // 展示用车地点
    List<Map<String, Object>> getWareHouse(Map<String, Object> mapValue);

    // 拿到物资id
    BigDecimal getMaterialId(BigDecimal purchaseOrderId);

    List<Map<String, Object>> getPurRequirementList(Map<String, Object> mapValue);

    BigDecimal selectPurOrderId(Integer requirementId);
}