package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckPurplanMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckPurplanMaterialMapper extends IBaseMapper<AmstruckPurplanMaterial, BigDecimal> {
    //新增运输计划同时新增运输计划子表数据
    int insertSelective(AmstruckPurplanMaterial amstruckPurplanMaterial);

    //通过Id查询运输计划  包含分解信息  未分配、已分配
    List<Map<String, Object>> getDecomposedPlan(Map<String, Object> map);

    // 查询未分配
    List<Map<String, Object>> getUnStartDecomposedPlan(Map<String, Object> map);

    //通过Id查询已分配重量、未分配重量
    List<Map<String, Object>> getWeight(Integer planId);

    //查询最大主键Id
    @Select("select seq_amstruck_purplan_material.nextval from dual")
    BigDecimal selectMaxId();

    //通过运输计划Id查询计划子表主键ID
    BigDecimal getChildIdByPlanId(BigDecimal planId);

}