package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmstruckRailDayplan;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckRailDayplanMapper extends IBaseMapper<AmstruckRailDayplan, BigDecimal> {
    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();
    @Select("select seq_AMS_OTHER.nextval from dual")
    BigDecimal selectOtherId();

    List<Map<String, Object>> getTruckRailDayPlan(Map<String, Object> mapValue);
    /**
     * 新增
     * @return
     */
    int insertSelective(AmstruckRailDayplan amstruckRailDayplan);

    List<Map<String, Object>> getSzTruckRailDayPlan(Map<String, Object> mapValue);

    AmstruckRailDayplan selectByDayPlanId(Integer dayplanId);

    //查询所有到站信息
    List<Map<String, Object>> getArriveName();

    //通过发运计划Id查询修改信息
    List<Map<String, Object>> getDayPlanByDayPlanId(Integer dayplanId);

    //查询所有承运商
    List<Map<String, Object>> getCarrierMes();
}