package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckSporadicOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmstruckSporadicOrderMapper extends IBaseMapper<AmstruckSporadicOrder, BigDecimal> {

    @Select("select seq__SPORADIC_ORDER.nextval from dual")
    BigDecimal selectSporadicOrderId();

    // 查询零星物资订单列表
    List<Map<String, Object>> getSporadicOrdersList(Map<String, Object> mapValue);

    // 查询零星物资订单一车多趟列表
    List<Map<String, Object>> getSporadicOrdersList1(Map<String, Object> mapValue);

    // 查询物资详情
    List<Map<String, Object>> seeAllMaterials(Map<String, Object> mapValue);

    // 根据零星订单id查询修改渲染
    List<Map<String, Object>> selectSporadicOrder(BigDecimal sporadicOrderId);

    //一车多趟，根据运输订单id查找运输订单信息
    Map<String,Object> selectOrderInfo(Integer orderId);

    List<Map<String,Object>> selectOrderIdbySporadicOrderid(Integer sporadicOrderId);

    List<Map<String, Object>> selectOrderMaterial(Integer orderId);

}