package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.OmstruckOrder;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface OmstruckOrderMapper extends IBaseMapper<OmstruckOrder, BigDecimal> {

    //查询最大主键Id
    @Select("select seq_omstruck_order.nextval from dual")
    BigDecimal selectMaxId();

    //通过运输订单ID查询数据 用于websocket推送数据
    Map<String, Object> pushMesToWebsocket(Map<String, Object> map);

    int selectOrderTypeByOrderId(BigDecimal orderId);
    // 通过详细地址得到单价
    BigDecimal getPriceId(Map<String,Object> priceMap);

    BigDecimal findMaxPrice(Object addressId);

    List<Map<String, Object>> findMaxPriceId(Map<String, Object> priceMap);

    String findCarNumberByOrderId(BigDecimal orderId);
}