package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class AmsContractTrainPrice implements IBasePO<BigDecimal> {
    /**
     * 主键id(PRICE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal priceId;

    /**
     * 车型(TRAIN_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="车型",required=false)
    private String trainType;

    /**
     * 单价更新日期(TRAIN_PRICE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="单价更新日期",required=false)
    private Date trainPriceDate;

    /**
     * 车皮单价(TRAIN_PRICE,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮单价",required=false)
    private BigDecimal trainPrice;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,200)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.priceId;
    }

    @Override
    public void setId(BigDecimal priceId) {
        this.priceId = priceId;
    }

    public BigDecimal getPriceId() {
        return priceId;
    }

    public void setPriceId(BigDecimal priceId) {
        this.priceId = priceId;
    }

    public String getTrainType() {
        return trainType;
    }

    public void setTrainType(String trainType) {
        this.trainType = trainType == null ? null : trainType.trim();
    }

    public Date getTrainPriceDate() {
        return trainPriceDate;
    }

    public void setTrainPriceDate(Date trainPriceDate) {
        this.trainPriceDate = trainPriceDate;
    }

    public BigDecimal getTrainPrice() {
        return trainPrice;
    }

    public void setTrainPrice(BigDecimal trainPrice) {
        this.trainPrice = trainPrice;
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", priceId=").append(priceId);
        sb.append(", trainType=").append(trainType);
        sb.append(", trainPriceDate=").append(trainPriceDate);
        sb.append(", trainPrice=").append(trainPrice);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}