package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="定向派单/公开抢单")
public class AmsDispatchSaleOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(DISPATCH_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal dispatchId;

    /**
     * 销售订单和物资的中间表主键id(SALE_ORDER_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="销售订单和物资的中间表主键id",required=false)
    private BigDecimal saleOrderMaterialId;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 派单时间(DISPATCH_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="派单时间",required=false)
    private Date dispatchTime;

    /**
     * 成交时间(DISPATCH_DEAL_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="成交时间",required=false)
    private Date dispatchDealTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 成交类型（0：定向派单；1：公开抢单）(DISPATCH_TYPE,DECIMAL,38)
     */
    @ApiModelProperty(value="成交类型（0：定向派单；1：公开抢单）",required=false)
    private BigDecimal dispatchType;

    /**
     * 销售订单车序号状态（0：自由；1：锁定）(DISPATCH_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="销售订单车序号状态（0：自由；1：锁定）",required=false)
    private BigDecimal dispatchStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.dispatchId;
    }

    @Override
    public void setId(BigDecimal dispatchId) {
        this.dispatchId = dispatchId;
    }

    public BigDecimal getDispatchId() {
        return dispatchId;
    }

    public void setDispatchId(BigDecimal dispatchId) {
        this.dispatchId = dispatchId;
    }

    public BigDecimal getSaleOrderMaterialId() {
        return saleOrderMaterialId;
    }

    public void setSaleOrderMaterialId(BigDecimal saleOrderMaterialId) {
        this.saleOrderMaterialId = saleOrderMaterialId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public Date getDispatchTime() {
        return dispatchTime;
    }

    public void setDispatchTime(Date dispatchTime) {
        this.dispatchTime = dispatchTime;
    }

    public Date getDispatchDealTime() {
        return dispatchDealTime;
    }

    public void setDispatchDealTime(Date dispatchDealTime) {
        this.dispatchDealTime = dispatchDealTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDispatchType() {
        return dispatchType;
    }

    public void setDispatchType(BigDecimal dispatchType) {
        this.dispatchType = dispatchType;
    }

    public BigDecimal getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(BigDecimal dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dispatchId=").append(dispatchId);
        sb.append(", saleOrderMaterialId=").append(saleOrderMaterialId);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", dispatchTime=").append(dispatchTime);
        sb.append(", dispatchDealTime=").append(dispatchDealTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", dispatchType=").append(dispatchType);
        sb.append(", dispatchStatus=").append(dispatchStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}