package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="发运钢材到异地库日计划")
public class AmsRailOffsetDayplan implements IBasePO<BigDecimal> {
    /**
     * 发运计划ID(DAYPLAN_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发运计划ID",required=true)
    private BigDecimal dayplanId;

    /**
     * 计划号(DAYPLAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计划号",required=false)
    private String dayplanNo;

    /**
     * 计划日期(DAYPLAN_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计划日期",required=false)
    private Date dayplanDate;

    /**
     * 发货单位ID(SHIPPER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发货单位ID",required=false)
    private BigDecimal shipperId;

    /**
     * 发货日期(DAYPLAN_DELIVERY_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发货日期",required=false)
    private Date dayplanDeliveryDate;

    /**
     * 自有汽车数(DAYPLAN_OWN_CARS_AMOUT,DECIMAL,0)
     */
    @ApiModelProperty(value="自有汽车数",required=false)
    private BigDecimal dayplanOwnCarsAmout;

    /**
     * 到站ID(DAYPLAN_TO_THE_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="到站ID",required=false)
    private BigDecimal dayplanToTheStationId;

    /**
     * 车皮数(DAYPLAN_WAGON_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="车皮数",required=false)
    private BigDecimal dayplanWagonNumber;

    /**
     * 收货单位(RECEIVING_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收货单位",required=false)
    private BigDecimal receivingUnitId;

    /**
     * 收货人(DAYPLAN_CONSIGNEE_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="收货人",required=false)
    private String dayplanConsigneeName;

    /**
     * 联系电话(DAYPLAN_CONSIGNEE_TEL,VARCHAR,20)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String dayplanConsigneeTel;

    /**
     * 接收状态（0;未下发，1：已下发，2：已接收）(DAYPLAN_RECEIVE_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="接收状态（0;未下发，1：已下发，2：已接收）",required=false)
    private BigDecimal dayplanReceiveStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 发站ID(DAYPLAN_SEND_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发站ID",required=false)
    private BigDecimal dayplanSendStationId;

    /**
     * 0：未删除，1：已删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="0：未删除，1：已删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.dayplanId;
    }

    @Override
    public void setId(BigDecimal dayplanId) {
        this.dayplanId = dayplanId;
    }

    public BigDecimal getDayplanId() {
        return dayplanId;
    }

    public void setDayplanId(BigDecimal dayplanId) {
        this.dayplanId = dayplanId;
    }

    public String getDayplanNo() {
        return dayplanNo;
    }

    public void setDayplanNo(String dayplanNo) {
        this.dayplanNo = dayplanNo == null ? null : dayplanNo.trim();
    }

    public Date getDayplanDate() {
        return dayplanDate;
    }

    public void setDayplanDate(Date dayplanDate) {
        this.dayplanDate = dayplanDate;
    }

    public BigDecimal getShipperId() {
        return shipperId;
    }

    public void setShipperId(BigDecimal shipperId) {
        this.shipperId = shipperId;
    }

    public Date getDayplanDeliveryDate() {
        return dayplanDeliveryDate;
    }

    public void setDayplanDeliveryDate(Date dayplanDeliveryDate) {
        this.dayplanDeliveryDate = dayplanDeliveryDate;
    }

    public BigDecimal getDayplanOwnCarsAmout() {
        return dayplanOwnCarsAmout;
    }

    public void setDayplanOwnCarsAmout(BigDecimal dayplanOwnCarsAmout) {
        this.dayplanOwnCarsAmout = dayplanOwnCarsAmout;
    }

    public BigDecimal getDayplanToTheStationId() {
        return dayplanToTheStationId;
    }

    public void setDayplanToTheStationId(BigDecimal dayplanToTheStationId) {
        this.dayplanToTheStationId = dayplanToTheStationId;
    }

    public BigDecimal getDayplanWagonNumber() {
        return dayplanWagonNumber;
    }

    public void setDayplanWagonNumber(BigDecimal dayplanWagonNumber) {
        this.dayplanWagonNumber = dayplanWagonNumber;
    }

    public BigDecimal getReceivingUnitId() {
        return receivingUnitId;
    }

    public void setReceivingUnitId(BigDecimal receivingUnitId) {
        this.receivingUnitId = receivingUnitId;
    }

    public String getDayplanConsigneeName() {
        return dayplanConsigneeName;
    }

    public void setDayplanConsigneeName(String dayplanConsigneeName) {
        this.dayplanConsigneeName = dayplanConsigneeName == null ? null : dayplanConsigneeName.trim();
    }

    public String getDayplanConsigneeTel() {
        return dayplanConsigneeTel;
    }

    public void setDayplanConsigneeTel(String dayplanConsigneeTel) {
        this.dayplanConsigneeTel = dayplanConsigneeTel == null ? null : dayplanConsigneeTel.trim();
    }

    public BigDecimal getDayplanReceiveStatus() {
        return dayplanReceiveStatus;
    }

    public void setDayplanReceiveStatus(BigDecimal dayplanReceiveStatus) {
        this.dayplanReceiveStatus = dayplanReceiveStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getDayplanSendStationId() {
        return dayplanSendStationId;
    }

    public void setDayplanSendStationId(BigDecimal dayplanSendStationId) {
        this.dayplanSendStationId = dayplanSendStationId;
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dayplanId=").append(dayplanId);
        sb.append(", dayplanNo=").append(dayplanNo);
        sb.append(", dayplanDate=").append(dayplanDate);
        sb.append(", shipperId=").append(shipperId);
        sb.append(", dayplanDeliveryDate=").append(dayplanDeliveryDate);
        sb.append(", dayplanOwnCarsAmout=").append(dayplanOwnCarsAmout);
        sb.append(", dayplanToTheStationId=").append(dayplanToTheStationId);
        sb.append(", dayplanWagonNumber=").append(dayplanWagonNumber);
        sb.append(", receivingUnitId=").append(receivingUnitId);
        sb.append(", dayplanConsigneeName=").append(dayplanConsigneeName);
        sb.append(", dayplanConsigneeTel=").append(dayplanConsigneeTel);
        sb.append(", dayplanReceiveStatus=").append(dayplanReceiveStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", dayplanSendStationId=").append(dayplanSendStationId);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}