package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="发运钢材到异地库物资中间表")
public class AmsRailOffsetMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(OFFSET_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal offsetMaterialId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资件数(OFFSET_MATERIAL_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="物资件数",required=false)
    private BigDecimal offsetMaterialNumber;

    /**
     * 物资理重(OFFSET_MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资理重",required=false)
    private BigDecimal offsetMaterialWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 发运计划id(DAYPLAN_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发运计划id",required=false)
    private BigDecimal dayplanId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.offsetMaterialId;
    }

    @Override
    public void setId(BigDecimal offsetMaterialId) {
        this.offsetMaterialId = offsetMaterialId;
    }

    public BigDecimal getOffsetMaterialId() {
        return offsetMaterialId;
    }

    public void setOffsetMaterialId(BigDecimal offsetMaterialId) {
        this.offsetMaterialId = offsetMaterialId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getOffsetMaterialNumber() {
        return offsetMaterialNumber;
    }

    public void setOffsetMaterialNumber(BigDecimal offsetMaterialNumber) {
        this.offsetMaterialNumber = offsetMaterialNumber;
    }

    public BigDecimal getOffsetMaterialWeight() {
        return offsetMaterialWeight;
    }

    public void setOffsetMaterialWeight(BigDecimal offsetMaterialWeight) {
        this.offsetMaterialWeight = offsetMaterialWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDayplanId() {
        return dayplanId;
    }

    public void setDayplanId(BigDecimal dayplanId) {
        this.dayplanId = dayplanId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", offsetMaterialId=").append(offsetMaterialId);
        sb.append(", materialId=").append(materialId);
        sb.append(", offsetMaterialNumber=").append(offsetMaterialNumber);
        sb.append(", offsetMaterialWeight=").append(offsetMaterialWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", dayplanId=").append(dayplanId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}