package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="销售订单分录物资中间表")
public class AmsSaleMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SALE_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal saleMaterialId;

    /**
     * 销售订单主表主键ID(SALE_ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="销售订单主表主键ID",required=false)
    private BigDecimal saleOrderId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资重量(MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal materialWeight;

    /**
     * 物资件数(MATERIAL_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="物资件数",required=false)
    private BigDecimal materialNumber;

    /**
     * 金蝶分路主键ID(EAS_PRIMARY_ID,VARCHAR,30)
     */
    @ApiModelProperty(value="金蝶分路主键ID",required=false)
    private String easPrimaryId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除 0:未删除 ；1：已删除(DELETED,DECIMAL,38)
     */
    @ApiModelProperty(value="逻辑删除 0:未删除 ；1：已删除",required=false)
    private BigDecimal deleted;

    /**
     * 仓库所在厂区(SALE_WAREHOUSE,VARCHAR,50)
     */
    @ApiModelProperty(value="仓库所在厂区",required=false)
    private String saleWarehouse;

    /**
     * 米数(STEEL_METER,DECIMAL,0)
     */
    @ApiModelProperty(value="米数",required=false)
    private BigDecimal steelMeter;

    /**
     * 是否磅重销售(IS_POUND_SALE,DECIMAL,0)
     */
    @ApiModelProperty(value="是否磅重销售",required=false)
    private BigDecimal isPoundSale;

    /**
     * 物资理重(METER_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资理重",required=false)
    private BigDecimal meterWeight;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.saleMaterialId;
    }

    @Override
    public void setId(BigDecimal saleMaterialId) {
        this.saleMaterialId = saleMaterialId;
    }

    public BigDecimal getSaleMaterialId() {
        return saleMaterialId;
    }

    public void setSaleMaterialId(BigDecimal saleMaterialId) {
        this.saleMaterialId = saleMaterialId;
    }

    public BigDecimal getSaleOrderId() {
        return saleOrderId;
    }

    public void setSaleOrderId(BigDecimal saleOrderId) {
        this.saleOrderId = saleOrderId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getMaterialWeight() {
        return materialWeight;
    }

    public void setMaterialWeight(BigDecimal materialWeight) {
        this.materialWeight = materialWeight;
    }

    public BigDecimal getMaterialNumber() {
        return materialNumber;
    }

    public void setMaterialNumber(BigDecimal materialNumber) {
        this.materialNumber = materialNumber;
    }

    public String getEasPrimaryId() {
        return easPrimaryId;
    }

    public void setEasPrimaryId(String easPrimaryId) {
        this.easPrimaryId = easPrimaryId == null ? null : easPrimaryId.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public String getSaleWarehouse() {
        return saleWarehouse;
    }

    public void setSaleWarehouse(String saleWarehouse) {
        this.saleWarehouse = saleWarehouse == null ? null : saleWarehouse.trim();
    }

    public BigDecimal getSteelMeter() {
        return steelMeter;
    }

    public void setSteelMeter(BigDecimal steelMeter) {
        this.steelMeter = steelMeter;
    }

    public BigDecimal getIsPoundSale() {
        return isPoundSale;
    }

    public void setIsPoundSale(BigDecimal isPoundSale) {
        this.isPoundSale = isPoundSale;
    }

    public BigDecimal getMeterWeight() {
        return meterWeight;
    }

    public void setMeterWeight(BigDecimal meterWeight) {
        this.meterWeight = meterWeight;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", saleMaterialId=").append(saleMaterialId);
        sb.append(", saleOrderId=").append(saleOrderId);
        sb.append(", materialId=").append(materialId);
        sb.append(", materialWeight=").append(materialWeight);
        sb.append(", materialNumber=").append(materialNumber);
        sb.append(", easPrimaryId=").append(easPrimaryId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", saleWarehouse=").append(saleWarehouse);
        sb.append(", steelMeter=").append(steelMeter);
        sb.append(", isPoundSale=").append(isPoundSale);
        sb.append(", meterWeight=").append(meterWeight);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}