package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="车序号物资中间表")
public class AmsSaleTrucknoMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(TRUCKNO_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal trucknoMaterialId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 车序号表主键ID(SALE_ORDER_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="车序号表主键ID",required=false)
    private BigDecimal saleOrderMaterialId;

    /**
     * 物资件数(SALE_ORDER_MATERIAL_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="物资件数",required=false)
    private BigDecimal saleOrderMaterialNumber;

    /**
     * 物资理论重量(MATERIAL_THEORETICAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资理论重量",required=false)
    private BigDecimal materialTheoreticalWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.trucknoMaterialId;
    }

    @Override
    public void setId(BigDecimal trucknoMaterialId) {
        this.trucknoMaterialId = trucknoMaterialId;
    }

    public BigDecimal getTrucknoMaterialId() {
        return trucknoMaterialId;
    }

    public void setTrucknoMaterialId(BigDecimal trucknoMaterialId) {
        this.trucknoMaterialId = trucknoMaterialId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getSaleOrderMaterialId() {
        return saleOrderMaterialId;
    }

    public void setSaleOrderMaterialId(BigDecimal saleOrderMaterialId) {
        this.saleOrderMaterialId = saleOrderMaterialId;
    }

    public BigDecimal getSaleOrderMaterialNumber() {
        return saleOrderMaterialNumber;
    }

    public void setSaleOrderMaterialNumber(BigDecimal saleOrderMaterialNumber) {
        this.saleOrderMaterialNumber = saleOrderMaterialNumber;
    }

    public BigDecimal getMaterialTheoreticalWeight() {
        return materialTheoreticalWeight;
    }

    public void setMaterialTheoreticalWeight(BigDecimal materialTheoreticalWeight) {
        this.materialTheoreticalWeight = materialTheoreticalWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", trucknoMaterialId=").append(trucknoMaterialId);
        sb.append(", materialId=").append(materialId);
        sb.append(", saleOrderMaterialId=").append(saleOrderMaterialId);
        sb.append(", saleOrderMaterialNumber=").append(saleOrderMaterialNumber);
        sb.append(", materialTheoreticalWeight=").append(materialTheoreticalWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}