package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="内转运输需求")
public class AmstruckInwardRequirement implements IBasePO<BigDecimal> {
    /**
     * 主键ID(REQUIREMENT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal requirementId;
    

    /**
     * 采购订单ID(PURCHASE_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="采购订单ID",required=false)
    private BigDecimal purchaseOrderId;

    /**
     * 运输需求号(REQUIREMENT_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="运输需求号",required=false)
    private String requirementNumber;

    /**
     * 需求类型（0：计重；1：计时；2：计次；3：包月）(REQUIREMENT_TYPE,VARCHAR,6)
     */
    @ApiModelProperty(value="需求类型（0：计重；1：计时；2：计次；3：包月）",required=false)
    private String requirementType;

    /**
     * 运力类型ID(CAPACITY_TYPE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力类型ID",required=false)
    private BigDecimal capacityTypeId;

    /**
     * 用车时间(REQUIREMENT_TRUCK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="用车时间",required=false)
    private Date requirementTruckTime;

    /**
     * 用车单位ID(REQUIREMENT_SHIPPER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="用车单位ID",required=false)
    private BigDecimal requirementShipperId;

    /**
     * 费用类别（0：日常内转费，1：推进办费用，2：大修费用，3：新增建设项目，4：外委吊车，5：外委转机，6：环保绿化项目）(REQUIREMENT_WORK_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="费用类别（0：日常内转费，1：推进办费用，2：大修费用，3：新增建设项目，4：外委吊车，5：外委转机，6：环保绿化项目）",required=false)
    private String requirementWorkType;

    /**
     * 作业内容(REQUIREMENT_WORK_CONTENT,VARCHAR,20)
     */
    @ApiModelProperty(value="作业内容",required=false)
    private String requirementWorkContent;

    /**
     * 作业路径ID(LINE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="作业路径ID",required=false)
    private BigDecimal lineId;

    /**
     * 作业环境(REQUIREMENT_WORK_ENVIRONMENT,VARCHAR,20)
     */
    @ApiModelProperty(value="作业环境",required=false)
    private String requirementWorkEnvironment;

    /**
     * 预计作业时长(REQUIREMENT_ESTIMATED_DURATION,DECIMAL,0)
     */
    @ApiModelProperty(value="预计作业时长",required=false)
    private BigDecimal requirementEstimatedDuration;

    /**
     * 是否超限(REQUIREMENT_OVERLIMIT,VARCHAR,20)
     */
    @ApiModelProperty(value="是否超限",required=false)
    private String requirementOverlimit;

    /**
     * 用车地点ID(REQUIREMNT_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="用车地点ID",required=false)
    private BigDecimal requiremntUnitId;

    /**
     * 需求状态（0：未下发；1：已下发；2：已接收）(REQUIREMENT_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="需求状态（0：未下发；1：已下发；2：已接收）",required=false)
    private BigDecimal requirementStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 0:未删除，1：已删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="0:未删除，1：已删除",required=false)
    private BigDecimal deleted;

    /**
     * 卸货点(REQUIREMENT_UNLOAD_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="卸货点",required=false)
    private BigDecimal requirementUnloadUnitId;

    /**
     * 货位或月台(REQUIREMENT_PLATFORM_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="货位或月台",required=false)
    private BigDecimal requirementPlatformId;

    /**
     * 需求连接类型(0：倒库单，1：采购订单)(REQUIREMENT_LINK_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="需求连接类型(0：倒库单，1：采购订单)",required=false)
    private BigDecimal requirementLinkType;

    /**
     * 截止日期(DUE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="截止日期",required=false)
    private Date dueDate;

    /**
     * 矿石备注(IS_MINERAL,VARCHAR,255)
     */
    @ApiModelProperty(value="矿石备注",required=false)
    private String isMineral;

    /**
     * 装机备注(LOADING_REMARK,VARCHAR,255)
     */
    @ApiModelProperty(value="装机备注",required=false)
    private String loadingRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.requirementId;
    }

    @Override
    public void setId(BigDecimal requirementId) {
        this.requirementId = requirementId;
    }

    public BigDecimal getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(BigDecimal requirementId) {
        this.requirementId = requirementId;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public String getRequirementNumber() {
        return requirementNumber;
    }

    public void setRequirementNumber(String requirementNumber) {
        this.requirementNumber = requirementNumber == null ? null : requirementNumber.trim();
    }

    public String getRequirementType() {
        return requirementType;
    }

    public void setRequirementType(String requirementType) {
        this.requirementType = requirementType == null ? null : requirementType.trim();
    }

    public BigDecimal getCapacityTypeId() {
        return capacityTypeId;
    }

    public void setCapacityTypeId(BigDecimal capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public Date getRequirementTruckTime() {
        return requirementTruckTime;
    }

    public void setRequirementTruckTime(Date requirementTruckTime) {
        this.requirementTruckTime = requirementTruckTime;
    }

    public BigDecimal getRequirementShipperId() {
        return requirementShipperId;
    }

    public void setRequirementShipperId(BigDecimal requirementShipperId) {
        this.requirementShipperId = requirementShipperId;
    }

    public String getRequirementWorkType() {
        return requirementWorkType;
    }

    public void setRequirementWorkType(String requirementWorkType) {
        this.requirementWorkType = requirementWorkType == null ? null : requirementWorkType.trim();
    }

    public String getRequirementWorkContent() {
        return requirementWorkContent;
    }

    public void setRequirementWorkContent(String requirementWorkContent) {
        this.requirementWorkContent = requirementWorkContent == null ? null : requirementWorkContent.trim();
    }

    public BigDecimal getLineId() {
        return lineId;
    }

    public void setLineId(BigDecimal lineId) {
        this.lineId = lineId;
    }

    public String getRequirementWorkEnvironment() {
        return requirementWorkEnvironment;
    }

    public void setRequirementWorkEnvironment(String requirementWorkEnvironment) {
        this.requirementWorkEnvironment = requirementWorkEnvironment == null ? null : requirementWorkEnvironment.trim();
    }

    public BigDecimal getRequirementEstimatedDuration() {
        return requirementEstimatedDuration;
    }

    public void setRequirementEstimatedDuration(BigDecimal requirementEstimatedDuration) {
        this.requirementEstimatedDuration = requirementEstimatedDuration;
    }

    public String getRequirementOverlimit() {
        return requirementOverlimit;
    }

    public void setRequirementOverlimit(String requirementOverlimit) {
        this.requirementOverlimit = requirementOverlimit == null ? null : requirementOverlimit.trim();
    }

    public BigDecimal getRequiremntUnitId() {
        return requiremntUnitId;
    }

    public void setRequiremntUnitId(BigDecimal requiremntUnitId) {
        this.requiremntUnitId = requiremntUnitId;
    }

    public BigDecimal getRequirementStatus() {
        return requirementStatus;
    }

    public void setRequirementStatus(BigDecimal requirementStatus) {
        this.requirementStatus = requirementStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getRequirementUnloadUnitId() {
        return requirementUnloadUnitId;
    }

    public void setRequirementUnloadUnitId(BigDecimal requirementUnloadUnitId) {
        this.requirementUnloadUnitId = requirementUnloadUnitId;
    }

    public BigDecimal getRequirementPlatformId() {
        return requirementPlatformId;
    }

    public void setRequirementPlatformId(BigDecimal requirementPlatformId) {
        this.requirementPlatformId = requirementPlatformId;
    }

    public BigDecimal getRequirementLinkType() {
        return requirementLinkType;
    }

    public void setRequirementLinkType(BigDecimal requirementLinkType) {
        this.requirementLinkType = requirementLinkType;
    }

    public Date getDueDate() {
        return dueDate;
    }

    public void setDueDate(Date dueDate) {
        this.dueDate = dueDate;
    }

    public String getIsMineral() {
        return isMineral;
    }

    public void setIsMineral(String isMineral) {
        this.isMineral = isMineral == null ? null : isMineral.trim();
    }

    public String getLoadingRemark() {
        return loadingRemark;
    }

    public void setLoadingRemark(String loadingRemark) {
        this.loadingRemark = loadingRemark;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", requirementId=").append(requirementId);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", requirementNumber=").append(requirementNumber);
        sb.append(", requirementType=").append(requirementType);
        sb.append(", capacityTypeId=").append(capacityTypeId);
        sb.append(", requirementTruckTime=").append(requirementTruckTime);
        sb.append(", requirementShipperId=").append(requirementShipperId);
        sb.append(", requirementWorkType=").append(requirementWorkType);
        sb.append(", requirementWorkContent=").append(requirementWorkContent);
        sb.append(", lineId=").append(lineId);
        sb.append(", requirementWorkEnvironment=").append(requirementWorkEnvironment);
        sb.append(", requirementEstimatedDuration=").append(requirementEstimatedDuration);
        sb.append(", requirementOverlimit=").append(requirementOverlimit);
        sb.append(", requiremntUnitId=").append(requiremntUnitId);
        sb.append(", requirementStatus=").append(requirementStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", requirementUnloadUnitId=").append(requirementUnloadUnitId);
        sb.append(", requirementPlatformId=").append(requirementPlatformId);
        sb.append(", requirementLinkType=").append(requirementLinkType);
        sb.append(", dueDate=").append(dueDate);
        sb.append(", isMineral=").append(isMineral);
        sb.append(", loadingRemark=").append(loadingRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}