package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="采购运输计划")
public class AmstruckPurplan implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal planId;

    /**
     * 批次ID(BATCH_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="批次ID",required=false)
    private BigDecimal batchId;

    /**
     * 运输计划号(PLAN_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="运输计划号",required=false)
    private String planNo;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 车数(PLAN_TRUCK_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="车数",required=false)
    private BigDecimal planTruckNumber;

    /**
     * 车型ID(CAPACITY_TYPE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="车型ID",required=false)
    private BigDecimal capacityTypeId;

    /**
     * 用车时间(PLAN_TRUCK_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="用车时间",required=false)
    private Date planTruckTime;

    /**
     * 计划状态：0：未下发；1：已下发；2：已接收(PLAN_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="计划状态：0：未下发；1：已下发；2：已接收",required=false)
    private BigDecimal planStatus;

    /**
     * 物资总重量(MATERIAL_TOTAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资总重量",required=false)
    private BigDecimal materialTotalWeight;

    /**
     * 预计进厂时间(PLAN_INCOMING_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="预计进厂时间",required=false)
    private Date planIncomingTime;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.planId;
    }

    @Override
    public void setId(BigDecimal planId) {
        this.planId = planId;
    }

    public BigDecimal getPlanId() {
        return planId;
    }

    public void setPlanId(BigDecimal planId) {
        this.planId = planId;
    }

    public BigDecimal getBatchId() {
        return batchId;
    }

    public void setBatchId(BigDecimal batchId) {
        this.batchId = batchId;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo == null ? null : planNo.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getPlanTruckNumber() {
        return planTruckNumber;
    }

    public void setPlanTruckNumber(BigDecimal planTruckNumber) {
        this.planTruckNumber = planTruckNumber;
    }

    public BigDecimal getCapacityTypeId() {
        return capacityTypeId;
    }

    public void setCapacityTypeId(BigDecimal capacityTypeId) {
        this.capacityTypeId = capacityTypeId;
    }

    public Date getPlanTruckTime() {
        return planTruckTime;
    }

    public void setPlanTruckTime(Date planTruckTime) {
        this.planTruckTime = planTruckTime;
    }

    public BigDecimal getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(BigDecimal planStatus) {
        this.planStatus = planStatus;
    }

    public BigDecimal getMaterialTotalWeight() {
        return materialTotalWeight;
    }

    public void setMaterialTotalWeight(BigDecimal materialTotalWeight) {
        this.materialTotalWeight = materialTotalWeight;
    }

    public Date getPlanIncomingTime() {
        return planIncomingTime;
    }

    public void setPlanIncomingTime(Date planIncomingTime) {
        this.planIncomingTime = planIncomingTime;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", planId=").append(planId);
        sb.append(", batchId=").append(batchId);
        sb.append(", planNo=").append(planNo);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", planTruckNumber=").append(planTruckNumber);
        sb.append(", capacityTypeId=").append(capacityTypeId);
        sb.append(", planTruckTime=").append(planTruckTime);
        sb.append(", planStatus=").append(planStatus);
        sb.append(", materialTotalWeight=").append(materialTotalWeight);
        sb.append(", planIncomingTime=").append(planIncomingTime);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}