package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="采购运输计划物资中间表")
public class AmstruckPurplanMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PURPLAN_PLAN_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal purplanPlanMaterialId;

    /**
     * 计划ID(PLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="计划ID",required=false)
    private BigDecimal planId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资数量(PURPLAN_MATERIAL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="物资数量",required=false)
    private BigDecimal purplanMaterialNumber;

    /**
     * 已分配重量(MATERIAL_ALLOCATED_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="已分配重量",required=false)
    private BigDecimal materialAllocatedWeight;

    /**
     * 未分配重量(MATERIAL_UNALLOCATED_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="未分配重量",required=false)
    private BigDecimal materialUnallocatedWeight;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.purplanPlanMaterialId;
    }

    @Override
    public void setId(BigDecimal purplanPlanMaterialId) {
        this.purplanPlanMaterialId = purplanPlanMaterialId;
    }

    public BigDecimal getPurplanPlanMaterialId() {
        return purplanPlanMaterialId;
    }

    public void setPurplanPlanMaterialId(BigDecimal purplanPlanMaterialId) {
        this.purplanPlanMaterialId = purplanPlanMaterialId;
    }

    public BigDecimal getPlanId() {
        return planId;
    }

    public void setPlanId(BigDecimal planId) {
        this.planId = planId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getPurplanMaterialNumber() {
        return purplanMaterialNumber;
    }

    public void setPurplanMaterialNumber(BigDecimal purplanMaterialNumber) {
        this.purplanMaterialNumber = purplanMaterialNumber;
    }

    public BigDecimal getMaterialAllocatedWeight() {
        return materialAllocatedWeight;
    }

    public void setMaterialAllocatedWeight(BigDecimal materialAllocatedWeight) {
        this.materialAllocatedWeight = materialAllocatedWeight;
    }

    public BigDecimal getMaterialUnallocatedWeight() {
        return materialUnallocatedWeight;
    }

    public void setMaterialUnallocatedWeight(BigDecimal materialUnallocatedWeight) {
        this.materialUnallocatedWeight = materialUnallocatedWeight;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", purplanPlanMaterialId=").append(purplanPlanMaterialId);
        sb.append(", planId=").append(planId);
        sb.append(", materialId=").append(materialId);
        sb.append(", purplanMaterialNumber=").append(purplanMaterialNumber);
        sb.append(", materialAllocatedWeight=").append(materialAllocatedWeight);
        sb.append(", materialUnallocatedWeight=").append(materialUnallocatedWeight);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}