package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车发运焦炭/水渣日计划")
public class AmstruckRailDayplan implements IBasePO<BigDecimal> {
    /**
     * 发运计划ID(DAYPLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发运计划ID",required=true)
    private BigDecimal dayplanId;

    /**
     * 发运计划号(DAYPLAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="发运计划号",required=false)
    private String dayplanNo;

    /**
     * 发货车数(DAYPLAN_TRUCK_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="发货车数",required=false)
    private BigDecimal dayplanTruckNumber;

    /**
     * 发货单位（托运人）(SHIPMENT_UNIT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发货单位（托运人）",required=false)
    private BigDecimal shipmentUnitId;

    /**
     * 发货地(DAYPLAN_DELIVERY_PLACE,VARCHAR,20)
     */
    @ApiModelProperty(value="发货地",required=false)
    private String dayplanDeliveryPlace;

    /**
     * 收货单位ID(DAYPLAN_RECEIVE_UNIT,DECIMAL,20)
     */
    @ApiModelProperty(value="收货单位ID",required=false)
    private BigDecimal dayplanReceiveUnit;

    /**
     * 发货日期(DAYPLAN_DELIVERY_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="发货日期",required=false)
    private Date dayplanDeliveryDate;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资重量(DAYPLAN_MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal dayplanMaterialWeight;

    /**
     * 接收状态（0：未接收/已下发；1：接收）2为未下发  3为逻辑删除(DAYPLAN_RECEIVE_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="接收状态（0：未接收/已下发；1：接收）2为未下发  3为逻辑删除",required=false)
    private BigDecimal dayplanReceiveStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.dayplanId;
    }

    @Override
    public void setId(BigDecimal dayplanId) {
        this.dayplanId = dayplanId;
    }

    public BigDecimal getDayplanId() {
        return dayplanId;
    }

    public void setDayplanId(BigDecimal dayplanId) {
        this.dayplanId = dayplanId;
    }

    public String getDayplanNo() {
        return dayplanNo;
    }

    public void setDayplanNo(String dayplanNo) {
        this.dayplanNo = dayplanNo == null ? null : dayplanNo.trim();
    }

    public BigDecimal getDayplanTruckNumber() {
        return dayplanTruckNumber;
    }

    public void setDayplanTruckNumber(BigDecimal dayplanTruckNumber) {
        this.dayplanTruckNumber = dayplanTruckNumber;
    }

    public BigDecimal getShipmentUnitId() {
        return shipmentUnitId;
    }

    public void setShipmentUnitId(BigDecimal shipmentUnitId) {
        this.shipmentUnitId = shipmentUnitId;
    }

    public String getDayplanDeliveryPlace() {
        return dayplanDeliveryPlace;
    }

    public void setDayplanDeliveryPlace(String dayplanDeliveryPlace) {
        this.dayplanDeliveryPlace = dayplanDeliveryPlace == null ? null : dayplanDeliveryPlace.trim();
    }

    public BigDecimal getDayplanReceiveUnit() {
        return dayplanReceiveUnit;
    }

    public void setDayplanReceiveUnit(BigDecimal dayplanReceiveUnit) {
        this.dayplanReceiveUnit = dayplanReceiveUnit;
    }

    public Date getDayplanDeliveryDate() {
        return dayplanDeliveryDate;
    }

    public void setDayplanDeliveryDate(Date dayplanDeliveryDate) {
        this.dayplanDeliveryDate = dayplanDeliveryDate;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getDayplanMaterialWeight() {
        return dayplanMaterialWeight;
    }

    public void setDayplanMaterialWeight(BigDecimal dayplanMaterialWeight) {
        this.dayplanMaterialWeight = dayplanMaterialWeight;
    }

    public BigDecimal getDayplanReceiveStatus() {
        return dayplanReceiveStatus;
    }

    public void setDayplanReceiveStatus(BigDecimal dayplanReceiveStatus) {
        this.dayplanReceiveStatus = dayplanReceiveStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", dayplanId=").append(dayplanId);
        sb.append(", dayplanNo=").append(dayplanNo);
        sb.append(", dayplanTruckNumber=").append(dayplanTruckNumber);
        sb.append(", shipmentUnitId=").append(shipmentUnitId);
        sb.append(", dayplanDeliveryPlace=").append(dayplanDeliveryPlace);
        sb.append(", dayplanReceiveUnit=").append(dayplanReceiveUnit);
        sb.append(", dayplanDeliveryDate=").append(dayplanDeliveryDate);
        sb.append(", materialId=").append(materialId);
        sb.append(", dayplanMaterialWeight=").append(dayplanMaterialWeight);
        sb.append(", dayplanReceiveStatus=").append(dayplanReceiveStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}