package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="需求物资中间表")
public class AmstruckRequirementMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(REQUIREMENT_MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal requirementMaterialId;

    /**
     * 需求ID(REQUIREMENT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="需求ID",required=false)
    private BigDecimal requirementId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资重量(MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal materialWeight;

    /**
     * 物资数量(MATERIAL_COUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资数量",required=false)
    private BigDecimal materialCount;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 卸货点(REQUIREMENT_UNLOAD_UNIT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="卸货点",required=false)
    private BigDecimal requirementUnloadUnitId;

    /**
     * 装货点(REQUIREMENT_PLATFORM_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="装货点",required=false)
    private BigDecimal requirementPlatformId;

    /**
     * 装卸货次序(LOAD_UNLOAD_SEQUENCE,DECIMAL,0)
     */
    @ApiModelProperty(value="装卸货次序",required=false)
    private BigDecimal loadUnloadSequence;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.requirementMaterialId;
    }

    @Override
    public void setId(BigDecimal requirementMaterialId) {
        this.requirementMaterialId = requirementMaterialId;
    }

    public BigDecimal getRequirementMaterialId() {
        return requirementMaterialId;
    }

    public void setRequirementMaterialId(BigDecimal requirementMaterialId) {
        this.requirementMaterialId = requirementMaterialId;
    }

    public BigDecimal getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(BigDecimal requirementId) {
        this.requirementId = requirementId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getMaterialWeight() {
        return materialWeight;
    }

    public void setMaterialWeight(BigDecimal materialWeight) {
        this.materialWeight = materialWeight;
    }

    public BigDecimal getMaterialCount() {
        return materialCount;
    }

    public void setMaterialCount(BigDecimal materialCount) {
        this.materialCount = materialCount;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getRequirementUnloadUnitId() {
        return requirementUnloadUnitId;
    }

    public void setRequirementUnloadUnitId(BigDecimal requirementUnloadUnitId) {
        this.requirementUnloadUnitId = requirementUnloadUnitId;
    }

    public BigDecimal getRequirementPlatformId() {
        return requirementPlatformId;
    }

    public void setRequirementPlatformId(BigDecimal requirementPlatformId) {
        this.requirementPlatformId = requirementPlatformId;
    }

    public BigDecimal getLoadUnloadSequence() {
        return loadUnloadSequence;
    }

    public void setLoadUnloadSequence(BigDecimal loadUnloadSequence) {
        this.loadUnloadSequence = loadUnloadSequence;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", requirementMaterialId=").append(requirementMaterialId);
        sb.append(", requirementId=").append(requirementId);
        sb.append(", materialId=").append(materialId);
        sb.append(", materialWeight=").append(materialWeight);
        sb.append(", materialCount=").append(materialCount);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", requirementUnloadUnitId=").append(requirementUnloadUnitId);
        sb.append(", requirementPlatformId=").append(requirementPlatformId);
        sb.append(", loadUnloadSequence=").append(loadUnloadSequence);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}