package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="需求计划中间表")
public class AmstruckRequirementPlan implements IBasePO<BigDecimal> {
    /**
     * 主键ID(REQUIREMENT_PLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal requirementPlanId;

    /**
     * 计划ID(PLAN_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="计划ID",required=false)
    private BigDecimal planId;

    /**
     * 需求ID(REQUIREMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="需求ID",required=false)
    private BigDecimal requirementId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.requirementPlanId;
    }

    @Override
    public void setId(BigDecimal requirementPlanId) {
        this.requirementPlanId = requirementPlanId;
    }

    public BigDecimal getRequirementPlanId() {
        return requirementPlanId;
    }

    public void setRequirementPlanId(BigDecimal requirementPlanId) {
        this.requirementPlanId = requirementPlanId;
    }

    public BigDecimal getPlanId() {
        return planId;
    }

    public void setPlanId(BigDecimal planId) {
        this.planId = planId;
    }

    public BigDecimal getRequirementId() {
        return requirementId;
    }

    public void setRequirementId(BigDecimal requirementId) {
        this.requirementId = requirementId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", requirementPlanId=").append(requirementPlanId);
        sb.append(", planId=").append(planId);
        sb.append(", requirementId=").append(requirementId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}