package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="零星订单物资中间表")
public class AmstruckSporadicMaterial implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SPORADIC_ORDER_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal sporadicOrderMaterialId;

    /**
     * 物资id(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资id",required=false)
    private BigDecimal materialId;

    /**
     * 物资重量(MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal materialWeight;

    /**
     * 物资件数(MATERIAL_NUMBER,DECIMAL,38)
     */
    @ApiModelProperty(value="物资件数",required=false)
    private BigDecimal materialNumber;

    /**
     * 零星订单ID(SPORADIC_ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="零星订单ID",required=false)
    private BigDecimal sporadicOrderId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.sporadicOrderMaterialId;
    }

    @Override
    public void setId(BigDecimal sporadicOrderMaterialId) {
        this.sporadicOrderMaterialId = sporadicOrderMaterialId;
    }

    public BigDecimal getSporadicOrderMaterialId() {
        return sporadicOrderMaterialId;
    }

    public void setSporadicOrderMaterialId(BigDecimal sporadicOrderMaterialId) {
        this.sporadicOrderMaterialId = sporadicOrderMaterialId;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getMaterialWeight() {
        return materialWeight;
    }

    public void setMaterialWeight(BigDecimal materialWeight) {
        this.materialWeight = materialWeight;
    }

    public BigDecimal getMaterialNumber() {
        return materialNumber;
    }

    public void setMaterialNumber(BigDecimal materialNumber) {
        this.materialNumber = materialNumber;
    }

    public BigDecimal getSporadicOrderId() {
        return sporadicOrderId;
    }

    public void setSporadicOrderId(BigDecimal sporadicOrderId) {
        this.sporadicOrderId = sporadicOrderId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", sporadicOrderMaterialId=").append(sporadicOrderMaterialId);
        sb.append(", materialId=").append(materialId);
        sb.append(", materialWeight=").append(materialWeight);
        sb.append(", materialNumber=").append(materialNumber);
        sb.append(", sporadicOrderId=").append(sporadicOrderId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}