package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="零星订单(零星物资进厂、零星物资出厂、钢材退货)")
public class AmstruckSporadicOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(SPORADIC_ORDER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal sporadicOrderId;

    /**
     * 发货单位ID(SEND_UNIT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="发货单位ID",required=false)
    private BigDecimal sendUnitId;

    /**
     * 收货单位ID(RECEIVE_UNIT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="收货单位ID",required=false)
    private BigDecimal receiveUnitId;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 下发状态(0:未下发，1：已下发)(ISSUE_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="下发状态(0:未下发，1：已下发)",required=false)
    private BigDecimal issueStatus;

    /**
     * 零星订单编号(SPORADIC_ORDER_NO,VARCHAR,25)
     */
    @ApiModelProperty(value="零星订单编号",required=false)
    private String sporadicOrderNo;

    /**
     * 零星订单趟次(SPORADIC_ORDER_TIMES,DECIMAL,0)
     */
    @ApiModelProperty(value="零星订单趟次",required=false)
    private BigDecimal sporadicOrderTimes;

    /**
     * 分派状态(DISPATCH_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="分派状态",required=false)
    private BigDecimal dispatchStatus;

    /**
     * 已运输趟次(SPORADIC_TRANS_TIMES,DECIMAL,0)
     */
    @ApiModelProperty(value="已运输趟次",required=false)
    private BigDecimal sporadicTransTimes;

    /**
     * 运输状态(TRANS_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="运输状态",required=false)
    private BigDecimal transStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.sporadicOrderId;
    }

    @Override
    public void setId(BigDecimal sporadicOrderId) {
        this.sporadicOrderId = sporadicOrderId;
    }

    public BigDecimal getSporadicOrderId() {
        return sporadicOrderId;
    }

    public void setSporadicOrderId(BigDecimal sporadicOrderId) {
        this.sporadicOrderId = sporadicOrderId;
    }

    public BigDecimal getSendUnitId() {
        return sendUnitId;
    }

    public void setSendUnitId(BigDecimal sendUnitId) {
        this.sendUnitId = sendUnitId;
    }

    public BigDecimal getReceiveUnitId() {
        return receiveUnitId;
    }

    public void setReceiveUnitId(BigDecimal receiveUnitId) {
        this.receiveUnitId = receiveUnitId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getIssueStatus() {
        return issueStatus;
    }

    public void setIssueStatus(BigDecimal issueStatus) {
        this.issueStatus = issueStatus;
    }

    public String getSporadicOrderNo() {
        return sporadicOrderNo;
    }

    public void setSporadicOrderNo(String sporadicOrderNo) {
        this.sporadicOrderNo = sporadicOrderNo == null ? null : sporadicOrderNo.trim();
    }

    public BigDecimal getSporadicOrderTimes() {
        return sporadicOrderTimes;
    }

    public void setSporadicOrderTimes(BigDecimal sporadicOrderTimes) {
        this.sporadicOrderTimes = sporadicOrderTimes;
    }

    public BigDecimal getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(BigDecimal dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public BigDecimal getSporadicTransTimes() {
        return sporadicTransTimes;
    }

    public void setSporadicTransTimes(BigDecimal sporadicTransTimes) {
        this.sporadicTransTimes = sporadicTransTimes;
    }

    public BigDecimal getTransStatus() {
        return transStatus;
    }

    public void setTransStatus(BigDecimal transStatus) {
        this.transStatus = transStatus;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", sporadicOrderId=").append(sporadicOrderId);
        sb.append(", sendUnitId=").append(sendUnitId);
        sb.append(", receiveUnitId=").append(receiveUnitId);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", issueStatus=").append(issueStatus);
        sb.append(", sporadicOrderNo=").append(sporadicOrderNo);
        sb.append(", sporadicOrderTimes=").append(sporadicOrderTimes);
        sb.append(", dispatchStatus=").append(dispatchStatus);
        sb.append(", sporadicTransTimes=").append(sporadicTransTimes);
        sb.append(", transStatus=").append(transStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}