package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="承运起止范围与装卸点关系")
public class RmsLineNodePoint implements IBasePO<BigDecimal> {
    /**
     * 主键ID(LINE_NODE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal lineNodeId;

    /**
     * 承运起止范围ID(TRANS_RANGE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运起止范围ID",required=false)
    private BigDecimal transRangeId;

    /**
     * 装货点名称(LOAD_POINT_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="装货点名称",required=false)
    private String loadPointName;

    /**
     * 卸货点名称(UNLOAD_POINT_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="卸货点名称",required=false)
    private String unloadPointName;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否删除 0未删除，已已删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="是否删除 0未删除，已已删除",required=false)
    private BigDecimal deleted;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.lineNodeId;
    }

    @Override
    public void setId(BigDecimal lineNodeId) {
        this.lineNodeId = lineNodeId;
    }

    public BigDecimal getLineNodeId() {
        return lineNodeId;
    }

    public void setLineNodeId(BigDecimal lineNodeId) {
        this.lineNodeId = lineNodeId;
    }

    public BigDecimal getTransRangeId() {
        return transRangeId;
    }

    public void setTransRangeId(BigDecimal transRangeId) {
        this.transRangeId = transRangeId;
    }

    public String getLoadPointName() {
        return loadPointName;
    }

    public void setLoadPointName(String loadPointName) {
        this.loadPointName = loadPointName == null ? null : loadPointName.trim();
    }

    public String getUnloadPointName() {
        return unloadPointName;
    }

    public void setUnloadPointName(String unloadPointName) {
        this.unloadPointName = unloadPointName == null ? null : unloadPointName.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", lineNodeId=").append(lineNodeId);
        sb.append(", transRangeId=").append(transRangeId);
        sb.append(", loadPointName=").append(loadPointName);
        sb.append(", unloadPointName=").append(unloadPointName);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", deleted=").append(deleted);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}