package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="收货地址")
public class RmsReceivePlace implements IBasePO<BigDecimal> {
    /**
     * 主键ID(PLACE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal placeId;

    /**
     * 全国省市(区)县ID(ADDRESS_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="全国省市(区)县ID",required=false)
    private BigDecimal addressId;

    /**
     * 收货地址(ADDRESS_DELIVERY_ADDRESS,VARCHAR,20)
     */
    @ApiModelProperty(value="收货地址",required=false)
    private String addressDeliveryAddress;

    /**
     * 收货地址经度(ADDRESS_LONGITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="收货地址经度",required=false)
    private String addressLongitude;

    /**
     * 收货地址纬度(ADDRESS_LATITUDE,VARCHAR,20)
     */
    @ApiModelProperty(value="收货地址纬度",required=false)
    private String addressLatitude;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.placeId;
    }

    @Override
    public void setId(BigDecimal placeId) {
        this.placeId = placeId;
    }

    public BigDecimal getPlaceId() {
        return placeId;
    }

    public void setPlaceId(BigDecimal placeId) {
        this.placeId = placeId;
    }

    public BigDecimal getAddressId() {
        return addressId;
    }

    public void setAddressId(BigDecimal addressId) {
        this.addressId = addressId;
    }

    public String getAddressDeliveryAddress() {
        return addressDeliveryAddress;
    }

    public void setAddressDeliveryAddress(String addressDeliveryAddress) {
        this.addressDeliveryAddress = addressDeliveryAddress == null ? null : addressDeliveryAddress.trim();
    }

    public String getAddressLongitude() {
        return addressLongitude;
    }

    public void setAddressLongitude(String addressLongitude) {
        this.addressLongitude = addressLongitude == null ? null : addressLongitude.trim();
    }

    public String getAddressLatitude() {
        return addressLatitude;
    }

    public void setAddressLatitude(String addressLatitude) {
        this.addressLatitude = addressLatitude == null ? null : addressLatitude.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", placeId=").append(placeId);
        sb.append(", addressId=").append(addressId);
        sb.append(", addressDeliveryAddress=").append(addressDeliveryAddress);
        sb.append(", addressLongitude=").append(addressLongitude);
        sb.append(", addressLatitude=").append(addressLatitude);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}