package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="请车/批车作业")
public class TmstrainPleaseApproveResult implements IBasePO<BigDecimal> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal resultId;

    /**
     * 发运计划ID(RAIL_PLAN_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发运计划ID",required=false)
    private BigDecimal railPlanId;

    /**
     * 请车计划号(RESULT_PLEASE_PLAN_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="请车计划号",required=false)
    private String resultPleasePlanNo;

    /**
     * 计划日期(RESULT_PLAN_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="计划日期",required=false)
    private Date resultPlanDate;

    /**
     * 品类（默认铁矿石）(RESULT_CATEGORY,VARCHAR,20)
     */
    @ApiModelProperty(value="品类（默认铁矿石）",required=false)
    private String resultCategory;

    /**
     * 发货单位ID（原料供应商）(SUPPLIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发货单位ID（原料供应商）",required=false)
    private BigDecimal supplierId;

    /**
     * 发站ID(SEND_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="发站ID",required=false)
    private BigDecimal sendStationId;

    /**
     * 到站ID(TO_THE_STATION_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="到站ID",required=false)
    private BigDecimal toTheStationId;

    /**
     * 请车数(RESULT_PLEASE_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="请车数",required=false)
    private BigDecimal resultPleaseNumber;

    /**
     * 请车日期(RESULT_PLEASE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="请车日期",required=false)
    private Date resultPleaseDate;

    /**
     * 批车数(RESULT_APPROVE_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="批车数",required=false)
    private BigDecimal resultApproveNumber;

    /**
     * 批车日期(RESULT_APPROVE_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="批车日期",required=false)
    private Date resultApproveDate;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 状态：0未下发 1已下发 2已批车 3逻辑删除(STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="状态：0未下发 1已下发 2已批车 3逻辑删除",required=false)
    private BigDecimal status;

    /**
     * 请车批车类型：1：采购进口矿（万州港-达州站/万州港-老区轨道衡）3：采购国产矿  4：内转钢材到异地库(RESULT_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="请车批车类型：1：采购进口矿（万州港-达州站/万州港-老区轨道衡）3：采购国产矿  4：内转钢材到异地库",required=false)
    private BigDecimal resultType;

    /**
     * 物流承运商id(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物流承运商id",required=false)
    private BigDecimal carrierId;

    /**
     * 专用线id(SPECIAL_LINE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="专用线id",required=false)
    private BigDecimal specialLineId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getRailPlanId() {
        return railPlanId;
    }

    public void setRailPlanId(BigDecimal railPlanId) {
        this.railPlanId = railPlanId;
    }

    public String getResultPleasePlanNo() {
        return resultPleasePlanNo;
    }

    public void setResultPleasePlanNo(String resultPleasePlanNo) {
        this.resultPleasePlanNo = resultPleasePlanNo == null ? null : resultPleasePlanNo.trim();
    }

    public Date getResultPlanDate() {
        return resultPlanDate;
    }

    public void setResultPlanDate(Date resultPlanDate) {
        this.resultPlanDate = resultPlanDate;
    }

    public String getResultCategory() {
        return resultCategory;
    }

    public void setResultCategory(String resultCategory) {
        this.resultCategory = resultCategory == null ? null : resultCategory.trim();
    }

    public BigDecimal getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(BigDecimal supplierId) {
        this.supplierId = supplierId;
    }

    public BigDecimal getSendStationId() {
        return sendStationId;
    }

    public void setSendStationId(BigDecimal sendStationId) {
        this.sendStationId = sendStationId;
    }

    public BigDecimal getToTheStationId() {
        return toTheStationId;
    }

    public void setToTheStationId(BigDecimal toTheStationId) {
        this.toTheStationId = toTheStationId;
    }

    public BigDecimal getResultPleaseNumber() {
        return resultPleaseNumber;
    }

    public void setResultPleaseNumber(BigDecimal resultPleaseNumber) {
        this.resultPleaseNumber = resultPleaseNumber;
    }

    public Date getResultPleaseDate() {
        return resultPleaseDate;
    }

    public void setResultPleaseDate(Date resultPleaseDate) {
        this.resultPleaseDate = resultPleaseDate;
    }

    public BigDecimal getResultApproveNumber() {
        return resultApproveNumber;
    }

    public void setResultApproveNumber(BigDecimal resultApproveNumber) {
        this.resultApproveNumber = resultApproveNumber;
    }

    public Date getResultApproveDate() {
        return resultApproveDate;
    }

    public void setResultApproveDate(Date resultApproveDate) {
        this.resultApproveDate = resultApproveDate;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public BigDecimal getResultType() {
        return resultType;
    }

    public void setResultType(BigDecimal resultType) {
        this.resultType = resultType;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getSpecialLineId() {
        return specialLineId;
    }

    public void setSpecialLineId(BigDecimal specialLineId) {
        this.specialLineId = specialLineId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", railPlanId=").append(railPlanId);
        sb.append(", resultPleasePlanNo=").append(resultPleasePlanNo);
        sb.append(", resultPlanDate=").append(resultPlanDate);
        sb.append(", resultCategory=").append(resultCategory);
        sb.append(", supplierId=").append(supplierId);
        sb.append(", sendStationId=").append(sendStationId);
        sb.append(", toTheStationId=").append(toTheStationId);
        sb.append(", resultPleaseNumber=").append(resultPleaseNumber);
        sb.append(", resultPleaseDate=").append(resultPleaseDate);
        sb.append(", resultApproveNumber=").append(resultApproveNumber);
        sb.append(", resultApproveDate=").append(resultApproveDate);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", status=").append(status);
        sb.append(", resultType=").append(resultType);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", specialLineId=").append(specialLineId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}