package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="火运总实绩与总实绩中间表")
public class TmstrainTruckTotalResult implements IBasePO<Short> {
    /**
     * 主键ID(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private Short resultId;

    /**
     * 火运总实绩ID(TMSTRAIN_TOTAL_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="火运总实绩ID",required=false)
    private Short tmstrainTotalResultId;

    /**
     * 汽运总实绩ID(TMSTRUCK_TOTAL_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="汽运总实绩ID",required=false)
    private Short tmstruckTotalResultId;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private Short materialId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 0：已装车 1：已卸车(LOAD_STATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="0：已装车 1：已卸车",required=false)
    private Short loadStatus;

    private static final long serialVersionUID = 1L;

    @Override
    public Short getId() {
        return this.resultId;
    }

    @Override
    public void setId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getResultId() {
        return resultId;
    }

    public void setResultId(Short resultId) {
        this.resultId = resultId;
    }

    public Short getTmstrainTotalResultId() {
        return tmstrainTotalResultId;
    }

    public void setTmstrainTotalResultId(Short tmstrainTotalResultId) {
        this.tmstrainTotalResultId = tmstrainTotalResultId;
    }

    public Short getTmstruckTotalResultId() {
        return tmstruckTotalResultId;
    }

    public void setTmstruckTotalResultId(Short tmstruckTotalResultId) {
        this.tmstruckTotalResultId = tmstruckTotalResultId;
    }

    public Short getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Short materialId) {
        this.materialId = materialId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public Short getLoadStatus() {
        return loadStatus;
    }

    public void setLoadStatus(Short loadStatus) {
        this.loadStatus = loadStatus;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", tmstrainTotalResultId=").append(tmstrainTotalResultId);
        sb.append(", tmstruckTotalResultId=").append(tmstruckTotalResultId);
        sb.append(", materialId=").append(materialId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", loadStatus=").append(loadStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}