package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="出库实绩与物资中间表")
@Component
public class WmspOutboundResultMaterial implements IBasePO<BigDecimal> {
    /**
     * 实绩与物资ID中间表(RESULT_MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="实绩与物资ID中间表",required=true)
    private BigDecimal resultMaterialId;

    /**
     * 出库实绩ID(OUTBOUND_RESULT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="出库实绩ID",required=false)
    private BigDecimal outboundResultId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 逻辑删除(DELETED,DECIMAL,0)
     */
    @ApiModelProperty(value="逻辑删除",required=false)
    private BigDecimal deleted;

    /**
     * 物资ID(MATERIAL_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="物资ID",required=false)
    private BigDecimal materialId;

    /**
     * 物资数量(MATERIAL_NUMBER,DECIMAL,0)
     */
    @ApiModelProperty(value="物资数量",required=false)
    private BigDecimal materialNumber;

    /**
     * 物资重量(MATERIAL_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="物资重量",required=false)
    private BigDecimal materialWeight;

    /**
     * 出库状态（0：待出库，1：已出库）(STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="出库状态（0：待出库，1：已出库）",required=false)
    private BigDecimal status;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultMaterialId;
    }

    @Override
    public void setId(BigDecimal resultMaterialId) {
        this.resultMaterialId = resultMaterialId;
    }

    public BigDecimal getResultMaterialId() {
        return resultMaterialId;
    }

    public BigDecimal getStatus() {
        return status;
    }

    public void setStatus(BigDecimal status) {
        this.status = status;
    }

    public void setResultMaterialId(BigDecimal resultMaterialId) {
        this.resultMaterialId = resultMaterialId;
    }

    public BigDecimal getOutboundResultId() {
        return outboundResultId;
    }

    public void setOutboundResultId(BigDecimal outboundResultId) {
        this.outboundResultId = outboundResultId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getDeleted() {
        return deleted;
    }

    public void setDeleted(BigDecimal deleted) {
        this.deleted = deleted;
    }

    public BigDecimal getMaterialId() {
        return materialId;
    }

    public void setMaterialId(BigDecimal materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getMaterialNumber() {
        return materialNumber;
    }

    public void setMaterialNumber(BigDecimal materialNumber) {
        this.materialNumber = materialNumber;
    }

    public BigDecimal getMaterialWeight() {
        return materialWeight;
    }

    public void setMaterialWeight(BigDecimal materialWeight) {
        this.materialWeight = materialWeight;
    }

    @Override
    public String toString() {
        return "WmspOutboundResultMaterial{" +
                "resultMaterialId=" + resultMaterialId +
                ", outboundResultId=" + outboundResultId +
                ", insertUsername='" + insertUsername + '\'' +
                ", insertTime=" + insertTime +
                ", updateUsername='" + updateUsername + '\'' +
                ", updateTime=" + updateTime +
                ", insertUpdateRemark='" + insertUpdateRemark + '\'' +
                ", deleted=" + deleted +
                ", materialId=" + materialId +
                ", materialNumber=" + materialNumber +
                ", materialWeight=" + materialWeight +
                ", status=" + status +
                '}';
    }
}