package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsContractBreach;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/4 11:55
 * @Version:V2.0
 */
public interface IAmsContractBreachService {

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有违约规则信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getBreachList(Map<String,Object> mapValue);

    /**
     * 得到修改渲染
     * @param breachId
     * @return
     */
    List<Map<String,Object>> selectBreachToUpdate(BigDecimal breachId);

    /**
     * 新增
     * @param amsContractBreach
     * @return
     */
    int insert(AmsContractBreach amsContractBreach);

    /**
     * 修改
     * @param amsContractBreach
     * @return
     */
    int updateByPrimaryKeySelective(AmsContractBreach amsContractBreach);

    /**
     * 删除
     * @param breachId
     * @return
     */
    public int delete(BigDecimal breachId);
}
