package com.steerinfo.dil.service;

import com.steerinfo.dil.model.AmsDispatchSaleOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsDispatchSaleOrder服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-10 03:59
 * 类描述
 * 修订历史：
 * 日期：2021-09-10
 * 作者：generator
 * 参考：
 * 描述：AmsDispatchSaleOrder服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsDispatchSaleOrderService{
    List<Map<String, Object>> getOpenDispatchSaleOrder(Map<String, Object> mapValue);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();
    //新增固定派单
    int insert(AmsDispatchSaleOrder ad);

    /**
     * app端公开抢单
     * @return
     */
    List<Map<String, Object>> getDispatchSaleOrderList();

    /**
     * 抢单
     * @param dispatchId
     * @param carrierSsoId
     * @return
     */
    int lockDispatchSaleOrder(BigDecimal dispatchId,String carrierSsoId);

    /**
     * 查询app端已抢的销售订单
     * @param carrierId
     * @return
     */
    List<Map<String, Object>> getLockDispatchSaleOrderList(Integer carrierId);


    //pc端，展示已经接收到了承运商的订单
    List<Map<String,Object>> getLockDispatchSaleOrderListForPc(Map<String,Object> map);

    /**
     * 查询PC端公开抢单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getPCDispatchSaleOrderList(Map<String, Object> mapValue);

    /**
     * 接收订单
     * @param dispatchId
     * @return
     */
    int receiveDispatchOrder(BigDecimal dispatchId);

    // 新增定向派单且直接下发
    int addDispatchSaleOrder(Map<String, Object> mapValue);

    // 展示销售派单物资信息
    List<Map<String, Object>> getDispatchMaterialList(BigDecimal dispatchId);

    //批量接收定向派单
    int lockDispatchSaleOrderList(Map<String, Object> mapValue);

    //批量拒绝定向派单
    int refuseDispatchSaleOrderList(List<Map<String, Object>> mapList);
}