package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsContractBreachMapper;
import com.steerinfo.dil.model.AmsContractBreach;
import com.steerinfo.dil.service.IAmsContractBreachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/4 11:55
 * @Version:V2.0
 */
@Service
public class AmsContractBreachServiceImpl implements IAmsContractBreachService {

    @Autowired
    AmsContractBreachMapper amsContractBreachMapper;

    /**
     * 得到最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        return amsContractBreachMapper.selectBreachId();
    }

    /**
     * 展示所有违约规则
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getBreachList(Map<String, Object> mapValue) {
        return amsContractBreachMapper.getBreachList(mapValue);
    }

    /**
     * 获得修改渲染
     * @param breachId
     * @return
     */
    @Override
    public List<Map<String, Object>> selectBreachToUpdate(BigDecimal breachId) {
        return amsContractBreachMapper.selectBreachToUpdate(breachId);
    }

    /**
     * 新增
     * @param amsContractBreach
     * @return
     */
    @Override
    public int insert(AmsContractBreach amsContractBreach) {
        BigDecimal breachId = selectMaxId();
        amsContractBreach.setBreachId(breachId);
        // 设置常规字段
        amsContractBreach.setInsertUsername("admin");
        amsContractBreach.setInsertTime(new Date());
        amsContractBreach.setUpdateTime(new Date());
        amsContractBreach.setUpdateUsername("admin");
        amsContractBreach.setInsertUpdateRemark("无");
        amsContractBreach.setDeleted(new BigDecimal(0));
        return amsContractBreachMapper.insert(amsContractBreach);
    }

    /**
     * 修改
     * @param amsContractBreach
     * @return
     */
    @Override
    public int updateByPrimaryKeySelective(AmsContractBreach amsContractBreach) {
        amsContractBreach.setUpdateTime(new Date());
        return amsContractBreachMapper.updateByPrimaryKeySelective(amsContractBreach);
    }

    /**
     * 逻辑删除
     * @param breachId
     * @return
     */
    @Override
    public int delete(BigDecimal breachId) {
        AmsContractBreach amsContractBreach = amsContractBreachMapper.selectByPrimaryKey(breachId);
        amsContractBreach.setDeleted(new BigDecimal(1));
        return amsContractBreachMapper.updateByPrimaryKeySelective(amsContractBreach);
    }

}
