package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsContractTrainPriceMapper;
import com.steerinfo.dil.model.AmsContractTrainPrice;
import com.steerinfo.dil.service.IAmsContractTrainPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/13 19:56
 * @Version:V2.0
 */
@Service
public class AmsContractTrainPriceServiceImpl implements IAmsContractTrainPriceService {

    @Autowired
    AmsContractTrainPriceMapper amsContractTrainPriceMapper;

    /**
     * 得到最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        return amsContractTrainPriceMapper.selectTrainId();
    }

    /**
     * 展示所有火运单价
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getTrainPriceList(Map<String, Object> mapValue) {
        return amsContractTrainPriceMapper.getTrainPriceList(mapValue);
    }

    /**
     * 新增
     * @param amsContractTrainPrice
     * @return
     */
    @Override
    public int insert(AmsContractTrainPrice amsContractTrainPrice) {
        BigDecimal priceId = selectMaxId();
        amsContractTrainPrice.setPriceId(priceId);
        amsContractTrainPrice.setDeleted(new BigDecimal(0));
        amsContractTrainPrice.setInsertUsername("admin");
        amsContractTrainPrice.setInsertTime(new Date());
        amsContractTrainPrice.setUpdateTime(new Date());
        amsContractTrainPrice.setUpdateUsername("admin");
        amsContractTrainPrice.setInsertUpdateRemark("无");
        return amsContractTrainPriceMapper.insert(amsContractTrainPrice);
    }

    /**
     * 逻辑删除
     * @param priceId
     * @return
     */
    @Override
    public int delete(BigDecimal priceId) {
        AmsContractTrainPrice amsContractTrainPrice = amsContractTrainPriceMapper.selectByPrimaryKey(priceId);
        amsContractTrainPrice.setDeleted(new BigDecimal(1));
        return updateByPrimaryKeySelective(amsContractTrainPrice);
    }

    /**
     * 得到修改渲染数据
     * @param priceId
     * @return
     */
    @Override
    public List<Map<String, Object>> selectTrainPriceToUpdate(BigDecimal priceId) {
        return amsContractTrainPriceMapper.selectTrainPriceToUpdate(priceId);
    }

    /**
     * 修改
     * @param amsContractTrainPrice
     * @return
     */
    @Override
    public int updateByPrimaryKeySelective(AmsContractTrainPrice amsContractTrainPrice) {
        return amsContractTrainPriceMapper.updateByPrimaryKeySelective(amsContractTrainPrice);
    }
}
