package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsPurchaseOrderMapper;
import com.steerinfo.dil.service.IAmsPurchaseOrderService;
import io.swagger.models.auth.In;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/3 9:04
 * @Version:V2.0
 */
@Service
public class AmsPurchaseOrderServiceImpl implements IAmsPurchaseOrderService {

    @Autowired
    AmsPurchaseOrderMapper amsPurchaseOrderMapper;

    /**
     * 展示所有采购订单信息
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getPurchaseOrderList(Map<String, Object> mapValue) {
        return amsPurchaseOrderMapper.getPurchaseOrderList(mapValue);
    }

    /**
     * 得到最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        return amsPurchaseOrderMapper.selectPurchaseId();
    }

    @Override
    public List<Map<String, Object>> getAppPurchaseOrderList(Integer carrierId) {
        return amsPurchaseOrderMapper.getAppPurchaseOrderList(carrierId);
    }
}
