package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.AmsSaleOrderCarrier;
import com.steerinfo.dil.mapper.AmsSaleOrderCarrierMapper;
import com.steerinfo.dil.service.IAmsSaleOrderCarrierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsSaleOrderCarrier服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-03-04 04:50
 * 类描述
 * 修订历史：
 * 日期：2022-03-04
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrderCarrier服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsSaleOrderCarrierService")
public class AmsSaleOrderCarrierServiceImpl extends BaseServiceImpl<AmsSaleOrderCarrier, BigDecimal> implements IAmsSaleOrderCarrierService {

    @Autowired
    private AmsSaleOrderCarrierMapper amsSaleOrderCarrierMapper;

    @Override
    protected IBaseMapper<AmsSaleOrderCarrier, BigDecimal> getMapper() {
        return amsSaleOrderCarrierMapper;
    }


    @Override
    public int addAmsSaleOrderCarrier(BigDecimal carrierId, List<Map<String,Integer>> saleOrderIds) {
        int count=0;
        //遍历销售订单
        for (Map<String,Integer> map :saleOrderIds){
            BigDecimal saleOrderId=new BigDecimal(map.get("saleOrderId"));
            // 判断订单是否已授权过
            AmsSaleOrderCarrier saleOrderCarrier= amsSaleOrderCarrierMapper.getAmsSaleOrderCarrier(map);
            // 未授权过
            if (saleOrderId!=null&&saleOrderCarrier==null){
                AmsSaleOrderCarrier amsSaleOrderCarrier=new AmsSaleOrderCarrier();
                amsSaleOrderCarrier.setSaleOrderCarrierId(amsSaleOrderCarrierMapper.selectMaxId());
                amsSaleOrderCarrier.setCarrierId(carrierId);
                amsSaleOrderCarrier.setSaleOrderId(saleOrderId);
                amsSaleOrderCarrier.setInsertTime(new Date());
                amsSaleOrderCarrier.setInsertUsername("admin");
                count=amsSaleOrderCarrierMapper.insertSelective(amsSaleOrderCarrier);
            }
            // 已授权过:更新授权
            if (saleOrderId!=null&&saleOrderCarrier != null) {
                saleOrderCarrier.setCarrierId(carrierId);
                count = amsSaleOrderCarrierMapper.updateByPrimaryKeySelective(saleOrderCarrier);
            }
        }
        return count;
    }
}
