package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsSalePlanMaterialMapper;
import com.steerinfo.dil.model.AmsSalePlan;
import com.steerinfo.dil.model.AmsSalePlanMaterial;
import com.steerinfo.dil.service.IAmsSalePlanMaterialService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * AmsSalePlanMaterial服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-16 10:12
 * 类描述
 * 修订历史：
 * 日期：2021-11-16
 * 作者：generator
 * 参考：
 * 描述：AmsSalePlanMaterial服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsSalePlanMaterialService")
public class AmsSalePlanMaterialServiceImpl implements IAmsSalePlanMaterialService {

    @Autowired
    private AmsSalePlanMaterialMapper amsSalePlanMaterialMapper;

    @Override
    public List<Map<String, Object>> getSalePlanMaterialInfo(Map<String,Object> map) {
        return amsSalePlanMaterialMapper.getSalePlanMaterialInfo(map);
    }

    @Override
    public int addAmsSalePlanMaterial(AmsSalePlanMaterial amsSalePlanMaterial) {
        long id;
        if(amsSalePlanMaterialMapper.selectMaxId()==null){
            id = 1;
        }else {
            id = amsSalePlanMaterialMapper.selectMaxId().longValue()+1;
        }
        //生成主键id
        amsSalePlanMaterial.setPlanMaterialId(new BigDecimal(id));
        //常规字段
        amsSalePlanMaterial.setInsertUsername("admin");
        amsSalePlanMaterial.setInsertTime(new Date());
        amsSalePlanMaterial.setUpdateUsername("admin");
        amsSalePlanMaterial.setUpdateTime(new Date());
        amsSalePlanMaterial.setInsertUpdateRemark("无");
        return amsSalePlanMaterialMapper.insert(amsSalePlanMaterial);
    }

    @Override
    public int deleteAmsSalePlanMaterial(BigDecimal planMaterialId) {
        return amsSalePlanMaterialMapper.deleteByPrimaryKey(planMaterialId);
    }

    @Override
    public List<Map<String, Object>> selectByPlanMaterialId(BigDecimal planMaterialId) {
        return amsSalePlanMaterialMapper.selectByPlanMaterialId(planMaterialId);
    }

    @Override
    public int upadteAmsSalePlanMaterial(AmsSalePlanMaterial amsSalePlanMaterial) {
        amsSalePlanMaterial.setUpdateTime(new Date());
        return amsSalePlanMaterialMapper.updateByPrimaryKeySelective(amsSalePlanMaterial);
    }

}
