package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsSaleTrucknoMaterialMapper;
import com.steerinfo.dil.model.AmsSaleTrucknoMaterial;
import com.steerinfo.dil.service.IAmsSaleTrucknoMaterialService;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * AmsSaleTrucknoMaterial服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-16 10:12
 * 类描述
 * 修订历史：
 * 日期：2021-11-16
 * 作者：generator
 * 参考：
 * 描述：AmsSaleTrucknoMaterial服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsSaleTrucknoMaterialService")
public class AmsSaleTrucknoMaterialServiceImpl implements IAmsSaleTrucknoMaterialService {

    @Autowired
    private AmsSaleTrucknoMaterialMapper amsSaleTrucknoMaterialMapper;

    @Override
    public List<Map<String, Object>> getTruckNoDetail(Map<String, Object> map) {
        return amsSaleTrucknoMaterialMapper.getTruckNoDetail(map);
    }

    @Override
    public int addAmsSaleTrucknoMaterial(AmsSaleTrucknoMaterial amsSaleTrucknoMaterial) {
        //判断物资件数是否在计划之内
        //获取物资Id
        BigDecimal materialId = amsSaleTrucknoMaterial.getMaterialId();
        //获取销售片区Id
        BigDecimal saleOrderMaterialId = amsSaleTrucknoMaterial.getSaleOrderMaterialId();
        BigDecimal planId = amsSaleTrucknoMaterialMapper.getSalePalnIdBySaleOrderMaterialId(saleOrderMaterialId);
        //查询该片区销售计划中此物资的物资件数
        Map<String,Object> map = new HashMap<>();
        map.put("materialId",materialId);
        map.put("planId",planId);
        BigDecimal materialNumberPlan = amsSaleTrucknoMaterialMapper.getSalePlanMaterialNumber(map);
        if(materialNumberPlan==null){
            materialNumberPlan=new BigDecimal(0);
        }
        //查询当前该销售计划下已有的销售订单中该物资件数的总和
        BigDecimal materialNumberAll = amsSaleTrucknoMaterialMapper.getAllSaleOrderMaterialNumber(map);
        if(materialNumberAll==null){
            materialNumberAll = new BigDecimal(0);
        }
        //获取当前的物资件数
        BigDecimal materialNumberNow = amsSaleTrucknoMaterial.getSaleOrderMaterialNumber();
        if(materialNumberNow==null){
            materialNumberNow = new BigDecimal(0);
        }
        //物资件数总数
        BigDecimal all = new BigDecimal((materialNumberAll.longValue()+materialNumberNow.longValue()));
        if(all.longValue()<=materialNumberPlan.longValue()&&materialNumberPlan.longValue()!=0){
            long id;
            if(amsSaleTrucknoMaterialMapper.selectMaxId()==null){
                id = 1;
            }else {
                id = amsSaleTrucknoMaterialMapper.selectMaxId().longValue()+1;
            }
            //生成主键id
            amsSaleTrucknoMaterial.setTrucknoMaterialId(new BigDecimal(id));
            //常规字段
            amsSaleTrucknoMaterial.setInsertUsername("admin");
            amsSaleTrucknoMaterial.setInsertTime(new Date());
            amsSaleTrucknoMaterial.setUpdateUsername("admin");
            amsSaleTrucknoMaterial.setUpdateTime(new Date());
            amsSaleTrucknoMaterial.setInsertUpdateRemark("无");
            return amsSaleTrucknoMaterialMapper.insert(amsSaleTrucknoMaterial);
        }else {
            return 0;
        }

    }

    @Override
    public int deleteAmsSaleTrucknoMaterial(BigDecimal saleOrderMaterialId) {
        return amsSaleTrucknoMaterialMapper.deleteByPrimaryKey(saleOrderMaterialId);
    }

    @Override
    public List<Map<String, Object>> getAmsSaleTrucknoMaterial(BigDecimal trucknoMaterialId) {
        return amsSaleTrucknoMaterialMapper.selectByTrucknoMaterialId(trucknoMaterialId);
    }

    @Override
    public int updateAmsSaleTrucknoMaterial(AmsSaleTrucknoMaterial amsSaleTrucknoMaterial) {
        amsSaleTrucknoMaterial.setUpdateTime(new Date());
        return amsSaleTrucknoMaterialMapper.updateByPrimaryKeySelective(amsSaleTrucknoMaterial);
    }
}
