package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmstruckInwardPlanMapper;
import com.steerinfo.dil.mapper.AmstruckInwardRequirementMapper;
import com.steerinfo.dil.mapper.AmstruckRequirementMaterialMapper;
import com.steerinfo.dil.mapper.AmstruckRequirementPlanMapper;
import com.steerinfo.dil.model.AmstruckInwardPlan;
import com.steerinfo.dil.model.AmstruckInwardRequirement;
import com.steerinfo.dil.model.AmstruckRequirementMaterial;
import com.steerinfo.dil.model.AmstruckRequirementPlan;
import com.steerinfo.dil.service.IAmstruckInwardRequirementService;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.*;

/**
 * AmstruckInwardRequirement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 11:30
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：AmstruckInwardRequirement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amstruckInwardRequirementService")
public class AmstruckInwardRequirementServiceImpl extends BaseServiceImpl<AmstruckInwardRequirement, BigDecimal> implements IAmstruckInwardRequirementService {

    @Autowired
    private AmstruckInwardRequirementMapper amstruckInwardRequirementMapper;

    @Autowired
    AmstruckRequirementMaterialMapper amstruckRequirementMaterialMapper;

    @Autowired
    private AmstruckInwardPlanMapper amstruckInwardPlanMapper;

    @Autowired
    private AmstruckRequirementPlanMapper amstruckRequirementPlanMapper;

    @Autowired
    AmsContractTruckPriceServiceImpl amsContractTruckPriceService;

    @Override
    protected IBaseMapper<AmstruckInwardRequirement, BigDecimal> getMapper() {
        return amstruckInwardRequirementMapper;
    }

    //新增用车需求
    @Transactional
    @Override
    public int  insert(Map<String,Object> mapValue) {
        Integer purchaseOrderId = (Integer) mapValue.get("purchaseOrderId");
        String requirementType = (String) mapValue.get("requirementType");
        Long requirementTruckTime = (Long) mapValue.get("requirementTruckTime");
        Integer requirementShipperId = (Integer) mapValue.get("requirementShipperId");
        String requirementWorkType = (String) mapValue.get("requirementWorkType");
        String requirementWorkContent = (String) mapValue.get("requirementWorkContent");
        String requirementWorkEnvironment = (String) mapValue.get("requirementWorkEnvironment");
        String requirementEstimatedDuration = (String) mapValue.get("requirementEstimatedDuration");
        String requirementOverlimit = (String) mapValue.get("requirementOverlimit");
        //提取车型
        BigDecimal capacityTypeId=DataChange.dataToBigDecimal(mapValue.get("capacityTypeId"));
        String InsertUpdateRemark = (String) mapValue.get("remark");
        String isMineral    = (String)mapValue.get("isMineral");
       //取出装机需求
        String loadingRemark = (String) mapValue.get("installremark");
        Long dueTime =(Long) mapValue.get("DueTime");

        AmstruckInwardRequirement amstruckInwardRequirement = new AmstruckInwardRequirement();
        //设置主键
        BigDecimal requirementId = amstruckInwardRequirementMapper.selectOtherId();
        amstruckInwardRequirement.setRequirementId(requirementId);
        if(mapValue.get("rangeId") != null){
            //承运起止范围
            BigDecimal lineId = DataChange.dataToBigDecimal(mapValue.get("rangeId"));
            amstruckInwardRequirement.setLineId(lineId);
        }
        amstruckInwardRequirement.setRequirementNumber(DataChange.generateEightDigitsNumber("YSXQ",amstruckInwardRequirementMapper.selectOtherId().intValue()));
        amstruckInwardRequirement.setRequirementStatus(new BigDecimal(0));
        //新增车型
        amstruckInwardRequirement.setCapacityTypeId(capacityTypeId);
        if(purchaseOrderId != null){
            amstruckInwardRequirement.setPurchaseOrderId(new BigDecimal(purchaseOrderId));
        }
        amstruckInwardRequirement.setRequirementType(requirementType);
        amstruckInwardRequirement.setRequirementTruckTime(new Date(requirementTruckTime));
        if(requirementWorkType != null){
            amstruckInwardRequirement.setRequirementWorkType(requirementWorkType);
        }
        amstruckInwardRequirement.setRequirementWorkContent(requirementWorkContent);
        amstruckInwardRequirement.setRequirementWorkEnvironment(requirementWorkEnvironment);

        if (requirementEstimatedDuration!=null) {

            amstruckInwardRequirement.setRequirementEstimatedDuration(new BigDecimal(requirementEstimatedDuration));
        }
        amstruckInwardRequirement.setRequirementOverlimit(requirementOverlimit);
        //用车单位
        amstruckInwardRequirement.setRequirementShipperId(new BigDecimal(requirementShipperId));
        //判断截止日期是否为空
        if (dueTime!=null) {
            amstruckInwardRequirement.setDueDate(new Date(dueTime));
        }else {
            amstruckInwardRequirement.setDueDate(null);
        }
        // 设置常规字段
        amstruckInwardRequirement.setIsMineral(isMineral);
        amstruckInwardRequirement.setInsertTime(new Date());
        amstruckInwardRequirement.setInsertUsername((String) mapValue.get("orgCode"));
        amstruckInwardRequirement.setInsertUpdateRemark(InsertUpdateRemark);
        amstruckInwardRequirement.setDeleted(new BigDecimal(0));
        amstruckInwardRequirement.setLoadingRemark(loadingRemark);
        int result = 0;
        result += amstruckInwardRequirementMapper.insertSelective(amstruckInwardRequirement);
        // 物资中间表
        List<Map<String,Object>> mapList =( List<Map<String,Object>>) mapValue.get("mapList");
        for (Map<String,Object> requireMaterialMap:mapList
             ) {
            BigDecimal materialId = DataChange.dataToBigDecimal(requireMaterialMap.get("materialId"));
            if(materialId.intValue() == 0)
                if(purchaseOrderId != null)
                    materialId = amstruckInwardRequirementMapper.getMaterialId(new BigDecimal(purchaseOrderId));
            AmstruckRequirementMaterial amstruckRequirementMaterial = new AmstruckRequirementMaterial();
            requireMaterialMap.get("requirementPlatformId");
            requireMaterialMap.get("requirementUnloadUnitId");
            BigDecimal materialNumber = DataChange.dataToBigDecimal(requireMaterialMap.get("orderMaterialNumber"));
            BigDecimal materialWeight = DataChange.dataToBigDecimal(requireMaterialMap.get("orderMaterialWeight"));
            BigDecimal materialPriority = DataChange.dataToBigDecimal(requireMaterialMap.get("materialPriority"));
            BigDecimal requirementPlatformId = DataChange.dataToBigDecimal(requireMaterialMap.get("requirementPlatformId"));
            BigDecimal requirementUnloadUnitId = DataChange.dataToBigDecimal(requireMaterialMap.get("requirementUnloadUnitId"));
            amstruckRequirementMaterial.setRequirementMaterialId(amstruckRequirementMaterialMapper.selectRequirementMaterialId());
            amstruckRequirementMaterial.setRequirementId(requirementId);
            amstruckRequirementMaterial.setLoadUnloadSequence(materialPriority);
            if(materialNumber.intValue() != 0)
                amstruckRequirementMaterial.setMaterialCount(materialNumber);
            if(materialWeight.intValue() != 0)
                amstruckRequirementMaterial.setMaterialWeight(materialWeight);
            if(requirementPlatformId.intValue() !=0){
                amstruckRequirementMaterial.setRequirementPlatformId(requirementPlatformId);
            }
            if(requirementUnloadUnitId.intValue() !=0){
                amstruckRequirementMaterial.setRequirementUnloadUnitId(requirementUnloadUnitId);
            }
            amstruckRequirementMaterial.setMaterialId(materialId);
            amstruckRequirementMaterial.setInsertTime(new Date());
            amstruckRequirementMaterial.setInsertUsername("admin");
            amstruckRequirementMaterial.setInsertUpdateRemark(InsertUpdateRemark);
            result += amstruckRequirementMaterialMapper.insertSelective(amstruckRequirementMaterial);
            //if(mapValue.get("rangeId") != null){
            //    //承运起止范围
            //    requireMaterialMap.put("rangeId",mapValue.get("rangeId"));
            //    amsContractTruckPriceService.insertLineNodePoint(requireMaterialMap);
            //}
        }
        return result;
    }

    /**
     * 查询用车需求
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getTruckRequirementList(Map<String, Object> mapValue) {
        List<Map<String, Object>> mapList;
        if (((Integer) mapValue.get("requirementStatus")) == 2) {
            mapList = amstruckInwardRequirementMapper.getFinishTruckRequirementList(mapValue);
        }
        else {
            mapList = amstruckInwardRequirementMapper.getTruckRequirementList(mapValue);
        }
        return mapList;
    }



    /**
     * 删除用车需求
     * @param requirementId
     * @return
     */
    @Override
    public int deleteTruckRequirement(BigDecimal requirementId) {
        AmstruckInwardRequirement amstruckInwardRequirement=new AmstruckInwardRequirement();
        amstruckInwardRequirement.setRequirementId(requirementId);
        amstruckInwardRequirement.setDeleted(new BigDecimal(1));
        int result = amstruckInwardRequirementMapper.updateByPrimaryKeySelective(amstruckInwardRequirement);
        return result;
    }

    /**
     * 修改用车需求
     * @param amstruckInwardRequirement
     * @return
     */
    @Override
    public int updateTruckRequirement(AmstruckInwardRequirement amstruckInwardRequirement) {
        int result = amstruckInwardRequirementMapper.updateByPrimaryKeySelective(amstruckInwardRequirement);
        return result;
    }

    /**
     * 查询修改渲染
     * @param requirementId
     * @return
     */
    @Override
    public List<Map<String, Object>> selectRequirement(Integer requirementId) {
        return amstruckInwardRequirementMapper.selectRequirement(new BigDecimal(requirementId));
    }

    /**
     * 下发需求
     * @param requirementIds
     * @return
     */
    @Override
    public int downRequirement(List<Map<String,Object>> requirementIds) {
        int result = 0;
        for (Map<String,Object> map : requirementIds) {
            Integer requirementId = (Integer) map.get("requirementId");
            AmstruckInwardRequirement amstruckInwardRequirement=new AmstruckInwardRequirement();
            amstruckInwardRequirement.setRequirementId(new BigDecimal(requirementId));
            //根据需求id进行判断，如果是纯内转，则将状态改为2，如果是采购内转则将状态改为1
            BigDecimal purOrderId = amstruckInwardRequirementMapper.selectPurOrderId(requirementId);
            if(purOrderId != null){
                amstruckInwardRequirement.setRequirementStatus(new BigDecimal(1));
            }else{
                amstruckInwardRequirement.setRequirementStatus(new BigDecimal(2));
            }
            result += amstruckInwardRequirementMapper.updateByPrimaryKeySelective(amstruckInwardRequirement);
        }
        return result;
    }

    /**
     * 接收需求
     * @param requirementId
     * @return
     */
    @Override
    public int receiveRequirement(Integer requirementId) {
        AmstruckInwardRequirement amstruckInwardRequirement = amstruckInwardRequirementMapper.selectByPrimaryKey(new BigDecimal(requirementId));
        amstruckInwardRequirement.setRequirementStatus(new BigDecimal(2));
        amstruckInwardRequirement.setUpdateTime(new Date());
        amstruckInwardRequirement.setUpdateUsername("admin");
        int result = amstruckInwardRequirementMapper.updateByPrimaryKeySelective(amstruckInwardRequirement);
        return result;
    }

    /**
     * 批次信息
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getPurchaseIdByBatch(Map<String, Object> mapValue) {
        List<Map<String, Object>> mapList = amstruckInwardRequirementMapper.getPurchaseIdByBatch(mapValue);
//        for (Map<String,Object> map : mapList) {
//            BigDecimal purchaseOrderId = (BigDecimal) map.get("purchaseOrderId");
//            Map<String,Object> purchaseMap = new HashMap<>();
//            purchaseMap.put("purchaseOrderId",purchaseOrderId);
//            List<AmstruckInwardRequirement> amstruckInwardRequirements = amstruckInwardRequirementMapper.selectByParameters(purchaseMap);
//            if (amstruckInwardRequirements.size() == 0 || amstruckInwardRequirements == null) {
//            }
//            else {
//                mapList.remove(map);
//            }
//        }
        return mapList;
    }

    /**
     * 车型下拉
     * @return
     */
    @Override
    public List<Map<String, Object>> getCapacityType() {
        return amstruckInwardRequirementMapper.getCapacityType();
    }

    /**
     * 用车单位下拉
     * @return
     */
    @Override
    public List<Map<String, Object>> getShipperUser() {
        return amstruckInwardRequirementMapper.getShipperUser();
    }

    /**
     * 查询所有仓库
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getWareHouse(Map<String, Object> mapValue) {
        return amstruckInwardRequirementMapper.getWareHouse(mapValue);
    }

    @Override
    public List<Map<String, Object>> getOffsetWareHouse() {

        return amstruckRequirementMaterialMapper.getOffsetWarehouse();
    }

    @Transactional
    @Override
    public int insertPurInwardRequirement(Map<String, Object> mapValue) {
        BigDecimal purchaseOrderId = DataChange.dataToBigDecimal(mapValue.get("purchaseOrderId"));
        BigDecimal unloadPointId = DataChange.dataToBigDecimal(mapValue.get("unloadPointId"));
        BigDecimal loadPointId  = DataChange.dataToBigDecimal(mapValue.get("loadPointId"));
        //承运起止范围ID
        BigDecimal lineId = DataChange.dataToBigDecimal(mapValue.get("rangeId"));
        String userId = (String)mapValue.get("userId");
        BigDecimal carrierId = DataChange.dataToBigDecimal(mapValue.get("carrierId"));
        BigDecimal materialId = DataChange.dataToBigDecimal(mapValue.get("materialId"));
        AmstruckInwardRequirement amstruckInwardRequirement = new AmstruckInwardRequirement();
        //设置主键
        BigDecimal requirementId = amstruckInwardRequirementMapper.selectOtherId();
        amstruckInwardRequirement.setRequirementId(requirementId);
        amstruckInwardRequirement.setLineId(lineId);
        amstruckInwardRequirement.setRequirementNumber(DataChange.generateEightDigitsNumber("YSXQ",amstruckInwardRequirementMapper.selectOtherId().intValue()));
        amstruckInwardRequirement.setRequirementStatus(new BigDecimal(0));
        amstruckInwardRequirement.setPurchaseOrderId(purchaseOrderId);
        amstruckInwardRequirement.setRequirementUnloadUnitId(unloadPointId);
        if(loadPointId != null){
            amstruckInwardRequirement.setRequirementPlatformId(loadPointId);
        }
        //采购内转现在先默认装货点是新区轨道衡
        // 设置常规字段
        amstruckInwardRequirement.setInsertTime(new Date());
        amstruckInwardRequirement.setInsertUsername(userId);
        amstruckInwardRequirement.setInsertUpdateRemark("无");
        amstruckInwardRequirement.setDeleted(new BigDecimal(0));
        int result = 0;
        result += amstruckInwardRequirementMapper.insertSelective(amstruckInwardRequirement);
        // 物资中间表
        AmstruckRequirementMaterial amstruckRequirementMaterial = new AmstruckRequirementMaterial();
        amstruckRequirementMaterial.setRequirementMaterialId(amstruckRequirementMaterialMapper.selectRequirementMaterialId());
        amstruckRequirementMaterial.setRequirementId(requirementId);
        amstruckRequirementMaterial.setMaterialId(materialId);
        amstruckRequirementMaterial.setInsertTime(new Date());
        amstruckRequirementMaterial.setInsertUsername("admin");
        amstruckRequirementMaterial.setInsertUpdateRemark("无");
        Map<String, Object> inwardPlanMap = new HashMap<>();
        inwardPlanMap.put("carrierId",carrierId);
        inwardPlanMap.put("requirementId",requirementId);
        result += amstruckRequirementMaterialMapper.insertSelective(amstruckRequirementMaterial);
        result += insertInwardRequirementPlan(inwardPlanMap);
        return result;
    }

    @Override
    public List<Map<String, Object>> getPurRequirementList(Map<String, Object> mapValue) {
        List<Map<String, Object>> mapList;
            mapList = amstruckInwardRequirementMapper.getPurRequirementList(mapValue);
            for (Map<String,Object> map:mapList
             ) {
                BigDecimal enable = DataChange.dataToBigDecimal(map.get("enable"));
                if(enable.intValue() == 0){;
                   map.remove("enable");
                   map.put("enable","未启用");
                }else{
                    map.remove("enable");
                    map.put("enable","启用");
                }
                }
            return mapList;
    }

    //查询纯内转需求物资详情
    @Override
    public List<Map<String,Object>> getRequirementMaterial(Integer requirementId) {
        return amstruckRequirementMaterialMapper.getRequirementMaterial(requirementId);
    }

    public int insertInwardRequirementPlan(Map<String, Object> mapValue) {
        AmstruckInwardPlan amstruckInwardPlan = new AmstruckInwardPlan();
        BigDecimal planId = amstruckInwardPlanMapper.selectOtherId();
        //设置主键
        amstruckInwardPlan.setPlanId(planId);
        //获取承运商id
        BigDecimal carrierId=DataChange.dataToBigDecimal(mapValue.get("carrierId"));
        amstruckInwardPlan.setCarrierId(carrierId);
        amstruckInwardPlan.setPlanNumber(DataChange.generateEightDigitsNumber("YSJH",planId.intValue()));
        //设置计划状态为启用
        amstruckInwardPlan.setPlanEableStatus(new BigDecimal(1));
        //设置计划状态为已接收
        amstruckInwardPlan.setPlanStatus(new BigDecimal(2));
        // 设置常规字段
        amstruckInwardPlan.setInsertTime(new Date());
        amstruckInwardPlan.setInsertUsername("admin");
        amstruckInwardPlan.setInsertUpdateRemark("无");
        amstruckInwardPlan.setDeleted(new BigDecimal(0));
        int i = amstruckInwardPlanMapper.insertSelective(amstruckInwardPlan);
        //新增需求计划中间表
        AmstruckRequirementPlan amstruckRequirementPlan = new AmstruckRequirementPlan();
        //xu qiu ID
        BigDecimal requirementId = DataChange.dataToBigDecimal(mapValue.get("requirementId"));
        BigDecimal requirementPlanId = amstruckRequirementPlanMapper.selectOtherId();
        amstruckRequirementPlan.setRequirementPlanId(requirementPlanId);
        amstruckRequirementPlan.setPlanId(planId);
        amstruckRequirementPlan.setRequirementId(requirementId);
        amstruckRequirementPlan.setInsertTime(new Date());
        amstruckRequirementPlan.setInsertUsername("admin");
        amstruckRequirementPlan.setInsertUpdateRemark("无");
        //在中间表中将需求与计划绑定
        i += amstruckRequirementPlanMapper.insertSelective(amstruckRequirementPlan);
        return i;
    }

}
