package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmstruckPurplanMaterialMapper;
import com.steerinfo.dil.model.AmstruckPurplanMaterial;
import com.steerinfo.dil.service.IAmstruckPurplanMaterialService;
import com.steerinfo.dil.util.DataChange;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmstruckPurplanMaterial服务实现：
 * @author TXF
 * @version 1.0-SNAPSHORT 2021-09-03 02:15
 * 类描述
 * 修订历史：
 * 日期：2021-09-03
 * 作者：generator
 * 参考：
 * 描述：AmstruckPurplanMaterial服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amstruckPurplanMaterialService")
public class AmstruckPurplanMaterialServiceImpl implements IAmstruckPurplanMaterialService {

    @Autowired
    private AmstruckPurplanMaterialMapper amstruckPurplanMaterialMapper;


    @Override
    public List<Map<String, Object>> getDecomposedPlan(Map<String, Object> map) {
        return amstruckPurplanMaterialMapper.getDecomposedPlan(map);
    }

    @Override
    public List<Map<String, Object>> getUnStartDecomposedPlan(Map<String, Object> map) {
        return amstruckPurplanMaterialMapper.getUnStartDecomposedPlan(map);
    }

    /**
     * 更改计划子表重量
     * @param map
     */
    public void updateMaterial(Map<String, Object> map){
        Object omw = map.get("orderMaterialWeight");
        double weight;
        if(omw instanceof Double){
            weight = (Double) omw;
        }else if(omw instanceof Integer){
            weight = (Integer) omw;
        }else {
            weight = Double.parseDouble(omw.toString());
        }
        Integer planId = DataChange.dataToBigDecimal(map.get("planId")).intValue();
        List<Map<String, Object>> weightList = amstruckPurplanMaterialMapper.getWeight(planId);
        Map<String, Object> weightMap = weightList.get(0);
        double materialAllocatedWeight = DataChange.dataToBigDecimal(weightMap.get("materialAllocatedWeight")).floatValue();
        double materialUnallocatedWeight = DataChange.dataToBigDecimal(weightMap.get("materialUnallocatedWeight")).floatValue();

        //通过前端是否传来旧的重量 判断 是否是在原有已分解过的计划上修改 未分配 已分配重量
        if(map.get("weight") != null){
            BigDecimal oldWeight = DataChange.dataToBigDecimal(map.get("weight"));
            double difference = weight - oldWeight.doubleValue();
            materialAllocatedWeight += difference;
            materialUnallocatedWeight -= difference;
        }else {
            materialAllocatedWeight += weight;
            materialUnallocatedWeight -= weight;
        }
        AmstruckPurplanMaterial amstruckPurplanMaterial = new AmstruckPurplanMaterial();
        //通过计划Id查询子表主键
        amstruckPurplanMaterial.setPurplanPlanMaterialId(amstruckPurplanMaterialMapper.getChildIdByPlanId(new BigDecimal(planId)));
        amstruckPurplanMaterial.setMaterialAllocatedWeight(new BigDecimal(materialAllocatedWeight));
        amstruckPurplanMaterial.setMaterialUnallocatedWeight(new BigDecimal(materialUnallocatedWeight));
        amstruckPurplanMaterialMapper.updateByPrimaryKeySelective(amstruckPurplanMaterial);
    }
}
