package com.steerinfo.dil.service.impl;


import com.steerinfo.dil.mapper.AmstruckRailDayplanMapper;
import com.steerinfo.dil.model.AmstruckRailDayplan;
import com.steerinfo.dil.service.IAmstruckRailDayplanService;
import com.steerinfo.dil.util.DataChange;
import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * AmstruckRailDayplan服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 02:43
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：AmstruckRailDayplan服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amstruckRailDayplanService")
public class AmstruckRailDayplanServiceImpl extends BaseServiceImpl<AmstruckRailDayplan, BigDecimal> implements IAmstruckRailDayplanService {

    @Autowired
    private AmstruckRailDayplanMapper amstruckRailDayplanMapper;

    @Override
    protected IBaseMapper<AmstruckRailDayplan, BigDecimal> getMapper() {
        return amstruckRailDayplanMapper;
    }

    /**
     * 查询最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {

        return amstruckRailDayplanMapper.selectOtherId();
    }

    @Override
    public List<Map<String, Object>> getTruckRailDayPlan(Map<String, Object> mapValue) {
        return amstruckRailDayplanMapper.getTruckRailDayPlan(mapValue);
    }
    @Override
    public int insert(AmstruckRailDayplan amstruckRailDayplan) {
        BigDecimal maxId = selectMaxId();
        amstruckRailDayplan.setDayplanId(maxId);
        //生成发运计划号
        String dayPlanNo = DataChange.generateEightDigitsNumber("FYJH", maxId.intValue());
        amstruckRailDayplan.setDayplanNo(dayPlanNo);
        //2为未下发
        amstruckRailDayplan.setDayplanReceiveStatus(new BigDecimal(2));
        amstruckRailDayplan.setInsertTime(new Date());
        amstruckRailDayplan.setUpdateTime(new Date());
        amstruckRailDayplan.setInsertUsername("admin");
        amstruckRailDayplan.setUpdateUsername("admin");
        return amstruckRailDayplanMapper.insertSelective(amstruckRailDayplan);
    }

    @Override
    public List<Map<String, Object>> getSzTruckRailDayPlan(Map<String, Object> mapValue) {
        return amstruckRailDayplanMapper.getSzTruckRailDayPlan(mapValue);
    }

    @Override
    public AmstruckRailDayplan selectByDayPlanId(Integer dayplanId) {
        return amstruckRailDayplanMapper.selectByDayPlanId(dayplanId);
    }

    /**
     * 查询所有到站信息
     * @return
     */
    @Override
    public List<Map<String, Object>> getArriveName() {
        return amstruckRailDayplanMapper.getArriveName();
    }

    /**
     * 通过发运计划Id查询信息
     * @param dayplanId
     * @return
     */
    @Override
    public List<Map<String, Object>> getDayPlanByDayPlanId(Integer dayplanId) {
        return amstruckRailDayplanMapper.getDayPlanByDayPlanId(dayplanId);
    }
}
