package com.steerinfo.dil.util;

import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2022/4/27 14:35
 * @Version:V2.0
 */
public class MapToXmlUtil {

    /**
     * @Description:TODO(循环遍历map节点和value,拼接成xml)
     * @param: Map<?, ?> map
     * @param: StringBuffer
     * @return:
     * @auther: HuJianGuo
     * @date: 2022/4/27 14:35
     * @throws
     *
     **/
    public static void mapToXML(Map<?, ?> map, StringBuffer sb) {
        Set<?> set = map.keySet();
        for (Iterator<?> it = set.iterator(); it.hasNext();) {
            String key = (String) it.next();
            Object value = map.get(key);
            if (value instanceof Map) {
                sb.append("<" + key + ">\n");
                mapToXML((Map<?, ?>) value, sb);
                sb.append("</" + key + ">\n");
            } else if (value instanceof List) {
                List<?> list = (List<?>) map.get(key);
                for (int i = 0; i < list.size(); i++) {
                    sb.append("<" + key + ">\n");
                    Map<?, ?> hm = (Map<?, ?>) list.get(i);
                    mapToXML(hm, sb);
                    sb.append("</" + key + ">\n");
                }
            } else {
                sb.append("<" + key + ">" + value + "</" + key + ">\n");
            }
        }
    }

    public static String getXmlByMap(Map<?, ?> headMap,Map<?, ?> bodyMap) {
        StringBuffer sb = new StringBuffer();
        sb.append("<?xml version=\"1.0\" encoding=\"utf-8\" standalone=\"no\"?>\n");
        sb.append("<table>\n");
        sb.append("<rowCount>1</rowCount>\n");
        sb.append("<headCount>17</headCount>\n");
        sb.append("<head>\n");
        mapToXML(headMap, sb);
        sb.append("</head>\n");
        sb.append("<body>\n");
        mapToXML(bodyMap, sb);
        sb.append("</body>\n");
        sb.append("</table>");
        return sb.toString();
    }
}
